webpackJsonp([14],{

/***/ 660:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "HomePageModule", function() { return HomePageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(11);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__message__ = __webpack_require__(691);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__ngx_translate_core__ = __webpack_require__(52);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};




var HomePageModule = (function () {
    function HomePageModule() {
    }
    HomePageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__message__["a" /* MessagePage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__message__["a" /* MessagePage */]),
                __WEBPACK_IMPORTED_MODULE_3__ngx_translate_core__["b" /* TranslateModule */].forChild()
            ],
        })
    ], HomePageModule);
    return HomePageModule;
}());

//# sourceMappingURL=message.module.js.map

/***/ }),

/***/ 691:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return MessagePage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(11);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_message_message__ = __webpack_require__(91);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_badge_badge__ = __webpack_require__(69);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__libs_util__ = __webpack_require__(13);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__app_app_config__ = __webpack_require__(18);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__ngx_translate_core__ = __webpack_require__(52);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};







var MessagePage = (function () {
    // currentStudent;
    // hasMoreStudent;
    function MessagePage(message, util, platform, nav, menu, view, badge, translate, events) {
        this.message = message;
        this.util = util;
        this.platform = platform;
        this.nav = nav;
        this.menu = menu;
        this.view = view;
        this.badge = badge;
        this.translate = translate;
        this.events = events;
        this.page = 1;
        this.hasData = true;
        // this.currentStudent = this.util.getCurrentStudent();
        // this.hasMoreStudent = this.util.hasMoreStudent();
    }
    MessagePage.prototype.ionViewDidLoad = function () {
        /*
            if(!this.util.hasNetwork())
                this.getLocalData();
            else
                this.getRemoteData();
                */
        this.getLocalData();
    };
    MessagePage.prototype.ionViewDidEnter = function () {
        //        this.badge.setValue('msg', 0);
    };
    MessagePage.prototype.getLocalData = function () {
        this.util.showLoading();
        this.page = 1;
        this.getItems();
    };
    MessagePage.prototype.getItems = function () {
        var _this = this;
        this.platform.ready().then(function () {
            // 总页数
            _this.message.getTotalPage().then(function (ret) {
                _this.totalPage = ret;
            });
            _this.message.getItemsFromLocalDb(_this.page).then(function (ret) {
                for (var i in ret) {
                    if (ret[i].pushType == 1)
                        ret[i].redirectId = ret[i].id;
                    else
                        ret[i].redirectId = ret[i].refId;
                    // 根据pushType ID获取ICON
                    ret[i].icon = _this.getIcon(ret[i]);
                    //                    console.log('ret[i].attachments =====> ' + ret[i].attachments);
                    if (ret[i].attachments != "[]" && ret[i].attachments != "undefined") {
                        ret[i].hasImg = true;
                        var app = _this.util.getStorage('app');
                        var remoteFileUrl = app.uploadDirUrl;
                        var picNum = 0;
                        var attachments = JSON.parse(ret[i].attachments);
                        if (attachments) {
                            for (var j in attachments) {
                                if (attachments[j].fileType == 'img') {
                                    picNum++;
                                }
                            }
                        }
                        ret[i]['picNum'] = picNum;
                        ret[i].attachmentUrl = remoteFileUrl + attachments[0].filePath;
                    }
                    else {
                        ret[i].hasImg = false;
                    }
                }
                _this.items = ret;
                //                console.log('msg getItems this.items =====> ' + JSON.stringify(this.items));
                _this.util.hideLoading();
                if (!ret.length)
                    _this.hasData = false;
            });
        });
    };
    MessagePage.prototype.setReadAll = function () {
        this.message.setReadAll();
        this.util.showToast(this.translate.instant('global.operationSuccess'));
        this.nav.push('HomePage');
    };
    MessagePage.prototype.openDetailPage = function (id, type, refId) {
        this.message.setRead(id);
        //1=msg 2=ntc 3=hwk 4=lve 5=asm,6=att,7=news
        var module = 'MessageDetailPage';
        switch (type) {
            case 1:
                module = 'MessageDetailPage';
                break;
            case 2:
                module = 'NoticeDetailPage';
                break;
            case 3:
                module = 'HomeworkDetailPage';
                break;
            case 4:
                module = 'LeaveDetailPage';
                break;
            case 5:
                module = 'MessageDetailPage';
                break;
            case 6:
                module = 'AttendancePage';
                break;
            case 7:
                module = 'NewsDetailPage';
                break;
        }
        this.nav.push(module, { id: refId });
    };
    MessagePage.prototype.getRemoteData = function () {
        var _this = this;
        if (this.util.hasHttpJobs(__WEBPACK_IMPORTED_MODULE_5__app_app_config__["a" /* Config */].messageGetApiUrl)) {
            console.log("msg already running getRemoteData, return");
            return;
        }
        this.util.addHttpJobs(__WEBPACK_IMPORTED_MODULE_5__app_app_config__["a" /* Config */].messageGetApiUrl);
        this.util.showLoading();
        // 从服务器更新数据
        this.platform.ready().then(function () {
            _this.message.getItemsFromRemoteDb().subscribe(function (res) {
                var data = res.json();
                console.log('message.getItemsFromRemoteDb =====> ' + JSON.stringify(data));
                if (data.code == 1) {
                    if (data.rows.length) {
                        _this.message.saveRecords(data.rows);
                    }
                    _this.page = 1;
                    _this.getItems();
                }
                else {
                    _this.page = 1;
                    _this.getItems();
                }
                _this.util.removeHttpJobs(__WEBPACK_IMPORTED_MODULE_5__app_app_config__["a" /* Config */].messageGetApiUrl);
            });
        });
    };
    MessagePage.prototype.getRemoteDataSilent = function () {
        var _this = this;
        console.log('getRemoteDataSilent start');
        if (this.util.hasHttpJobs(__WEBPACK_IMPORTED_MODULE_5__app_app_config__["a" /* Config */].messageGetApiUrl)) {
            console.log("msg already running getRemoteData, return");
            return;
        }
        this.util.addHttpJobs(__WEBPACK_IMPORTED_MODULE_5__app_app_config__["a" /* Config */].messageGetApiUrl);
        // 从服务器更新数据
        this.platform.ready().then(function () {
            _this.message.getItemsFromRemoteDb().subscribe(function (res) {
                var data = res.json();
                console.log('silent message.getItemsFromRemoteDb =====> ' + JSON.stringify(data));
                if (data.code == 1) {
                    if (data.rows.length) {
                        _this.message.saveRecords(data.rows);
                    }
                }
                else {
                    //
                }
                _this.util.removeHttpJobs(__WEBPACK_IMPORTED_MODULE_5__app_app_config__["a" /* Config */].messageGetApiUrl);
            });
        });
    };
    MessagePage.prototype.refresh = function (refresher) {
        var _this = this;
        setTimeout(function () {
            if (!_this.util.hasNetwork())
                _this.getLocalData();
            else
                _this.getRemoteData();
            refresher.complete();
        }, 1000);
    };
    MessagePage.prototype.loadMore = function (infiniteScroll) {
        var _this = this;
        setTimeout(function () {
            _this.platform.ready().then(function () {
                _this.page = _this.page + 1;
                _this.message.getItemsFromLocalDb(_this.page).then(function (ret) {
                    for (var i in ret) {
                        if (ret[i].pushType == 1)
                            ret[i].redirectId = ret[i].id;
                        else
                            ret[i].redirectId = ret[i].refId;
                        // 根据pushType ID获取ICON
                        ret[i].icon = _this.getIcon(ret[i]);
                        _this.items.push(ret[i]);
                    }
                });
            });
            infiniteScroll.complete();
        }, 1000);
    };
    MessagePage.prototype.menuToggle = function () {
        this.menu.open();
    };
    MessagePage.prototype.delete = function (id) {
        var _this = this;
        this.message.del(id);
        this.nav.push(this.nav.getActive().component).then(function () {
            var index = _this.view.index;
            _this.nav.remove(index);
        });
    };
    MessagePage.prototype.getIcon = function (item) {
        var pushType = item.pushType;
        var icon;
        if (item.attachmentUrl != undefined) {
            return item.attachmentUrl;
        }
        else {
            switch (pushType) {
                case 1:
                    icon = './assets/imgs/module_icon/message.png';
                    break;
                case 2:
                    icon = './assets/imgs/module_icon/notice.png';
                    break;
                case 3:
                    icon = './assets/imgs/module_icon/homework.png';
                    break;
                case 4:
                    icon = './assets/imgs/module_icon/leave.png';
                    break;
                // case '5':
                //     icon = './assets/imgs/module_icon/attendance.png';
                //     break;
                case 6:
                    icon = './assets/imgs/module_icon/attendance.png';
                    break;
                case 7:
                    icon = './assets/imgs/module_icon/news.png';
                    break;
            }
            return icon;
        }
    };
    MessagePage.prototype.openGallery = function (list, index) {
        var app = this.util.getStorage('app');
        var remoteFileUrl = app.uploadDirUrl;
        var imageList = JSON.parse(list);
        var photos = [];
        for (var key in imageList) {
            if (typeof (photos[key]) == 'undefined')
                photos[key] = {};
            // 本地图片
            photos[key].url = remoteFileUrl + imageList[key].filePath;
            photos[key].type = imageList[key].fileType;
        }
        this.util.openGallery(photos, index);
    };
    MessagePage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-message',template:/*ion-inline-start:"/Users/joe/git-source/schoolapp/app/gitee/schoolapp/src/pages/message/message.html"*/'<ion-header>\n    <ion-navbar color="dark">\n        <button ion-button menuToggle>\n            <ion-icon name="menu" color="white"></ion-icon>\n        </button>\n        <ion-buttons start>\n            <button ion-button class="search-btn" (click)="menuToggle()">\n                <ion-icon name="menu" color="white"></ion-icon>\n            </button>\n        </ion-buttons>\n        <ion-title>\n            <span ion-text color="white" class="fw500">{{\'sideMenu.message\' | translate}}</span>\n        </ion-title>\n    </ion-navbar>\n    <!-- <ion-toolbar no-border-bottom no-border-top color="primary" style="color:#fff;">\n        <ion-grid>\n            <ion-row>\n                <ion-col col-3 text-left class="fw500"><ion-icon name="person" color="white"></ion-icon> {{currentStudent.name}}</ion-col>\n                <ion-col col-8 text-left class=\'school-name\' *ngIf="hasMoreStudent">{{currentStudent.schoolName}}</ion-col>\n                <ion-col col-9 text-left class=\'school-name\' *ngIf="!hasMoreStudent">{{currentStudent.schoolName}}</ion-col>\n                <ion-col col-1 text-right *ngIf="hasMoreStudent" (click)="switchStudent()"><ion-icon name="md-arrow-forward" color="white"></ion-icon></ion-col>\n            </ion-row>\n        </ion-grid>\n    </ion-toolbar> -->\n</ion-header>\n\n<ion-content>\n    <ion-refresher (ionRefresh)="refresh($event)">\n        <ion-refresher-content\n            pullingIcon="arrow-round-down"\n            pullingText="{{\'global.pullRefresh\' | translate}}"\n            refreshingText="{{\'global.refreshing\' | translate}}">\n        </ion-refresher-content>\n    </ion-refresher>\n\n    <div class="list-no-records" *ngIf="!hasData"><p class="content text-center">{{\'global.noRecords\' | translate}}</p></div>\n\n	<ion-list>\n        <ion-item-sliding *ngFor="let item of items">\n      		<ion-item class="list-box">\n                <img src="{{item.attachmentUrl}}" *ngIf="item.hasImg" (click)="openGallery(item.attachments, 0, item.id)">\n                <img src="{{item.icon}}" width="50" height="50" item-start *ngIf="!item.hasImg">\n        		<p *ngIf="item.m2sStatus==0" class="fw700 list-box-txt text-primary"  [innerHTML]="item.content.length > 50 ? (item.content.substring(0, 50) + \'...\') : item.content" (click)="openDetailPage(item.id, item.pushType, item.redirectId)"></p>\n        		<p class="fw300 list-box-txt" *ngIf="item.m2sStatus > 0" [innerHTML]="item.content.length > 50 ? (item.content.substring(0, 50) + \'...\') : item.content" (click)="openDetailPage(item.id, item.pushType, item.redirectId)"></p>\n\n                <p class="list-box-time" *ngIf="item.picNum"><ion-icon name="md-time"></ion-icon> {{item.publishDate}}\n                <ion-icon name="attach" class="list-box-icon"></ion-icon> {{\'noticePage.totalAttachments\' | translate:{\'total\':item.picNum} }}\n                </p>\n        		<p class="list-box-time" *ngIf="!item.picNum"><ion-icon name="md-time"></ion-icon> {{item.publishDate}}</p>\n      		</ion-item>\n            <ion-item-options>\n                <button ion-button color="danger" (click)="delete(item.id)">{{\'global.delete\' | translate}}</button>\n            </ion-item-options>\n        </ion-item-sliding>\n	</ion-list>\n\n  <ion-fab left bottom #fab4>\n    <button ion-fab color="dark"><ion-icon name="arrow-dropup"></ion-icon></button>\n    <ion-fab-list side="top">\n        <button ion-button  (click)="setReadAll()">{{\'global.setReadAll\' | translate}}</button>\n    </ion-fab-list>\n  </ion-fab>\n\n    <ion-infinite-scroll (ionInfinite)="loadMore($event)" *ngIf="page < totalPage">\n        <ion-infinite-scroll-content loadingSpinner="bubbles" loadingText="{{\'global.loadMore\' | translate}}"></ion-infinite-scroll-content>\n    </ion-infinite-scroll>\n</ion-content>\n\n\n'/*ion-inline-end:"/Users/joe/git-source/schoolapp/app/gitee/schoolapp/src/pages/message/message.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_2__providers_message_message__["a" /* MessageProvider */],
            __WEBPACK_IMPORTED_MODULE_4__libs_util__["a" /* Util */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["Platform"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["MenuController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["ViewController"],
            __WEBPACK_IMPORTED_MODULE_3__providers_badge_badge__["a" /* BadgeProvider */],
            __WEBPACK_IMPORTED_MODULE_6__ngx_translate_core__["c" /* TranslateService */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["Events"]])
    ], MessagePage);
    return MessagePage;
}());

//# sourceMappingURL=message.js.map

/***/ })

});
//# sourceMappingURL=14.js.map