webpackJsonp([16],{

/***/ 650:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "LeavePageModule", function() { return LeavePageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(11);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__leave__ = __webpack_require__(681);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__ngx_translate_core__ = __webpack_require__(52);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};




var LeavePageModule = (function () {
    function LeavePageModule() {
    }
    LeavePageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__leave__["a" /* LeavePage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__leave__["a" /* LeavePage */]),
                __WEBPACK_IMPORTED_MODULE_3__ngx_translate_core__["b" /* TranslateModule */].forChild()
            ],
        })
    ], LeavePageModule);
    return LeavePageModule;
}());

//# sourceMappingURL=leave.module.js.map

/***/ }),

/***/ 681:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return LeavePage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(11);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_leave_leave__ = __webpack_require__(163);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__libs_util__ = __webpack_require__(13);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};




var LeavePage = (function () {
    function LeavePage(leave, util, platform, nav, events, cdr, menu, view) {
        var _this = this;
        this.leave = leave;
        this.util = util;
        this.platform = platform;
        this.nav = nav;
        this.events = events;
        this.cdr = cdr;
        this.menu = menu;
        this.view = view;
        this.page = 1;
        this.hasData = true;
        events.subscribe('leaveCreateSuccess', function () {
            _this.getRemoteData();
        });
    }
    LeavePage.prototype.ionViewDidLoad = function () {
        this.util.showLoading();
        if (!this.util.hasNetwork())
            this.getLocalData();
        else
            this.getRemoteData();
        this.util.hideLoading();
    };
    LeavePage.prototype.getLocalData = function () {
        this.getItems();
    };
    LeavePage.prototype.getItems = function () {
        var _this = this;
        this.platform.ready().then(function () {
            // 总页数
            _this.leave.getTotalPage().then(function (ret) {
                _this.totalPage = ret;
            });
            _this.leave.getItemsFromLocalDb(_this.page).then(function (ret) {
                _this.items = ret;
                if (!ret.length)
                    _this.hasData = false;
                // 获取图片列表
                /*if(ret.length) {
                    for(let i in ret) {
                        this.leave.getAttachments(ret[i].id).then((attach) => {
                            this.items.attachments = attach;
                        });
                    }
                }*/
            });
        });
    };
    LeavePage.prototype.getRemoteData = function () {
        // this.util.showLoading();
        var _this = this;
        // 从服务器更新数据
        this.platform.ready().then(function () {
            _this.leave.getItemsFromRemoteDb().subscribe(function (res) {
                var data = res.json();
                //             console.log("leave getItemsFromRemoteDb Result =====> " + JSON.stringify(data));
                if (data.code == 1) {
                    if (data.rows.length) {
                        _this.leave.saveRecords(data.rows);
                    }
                    _this.page = 1;
                    _this.getItems();
                    // this.util.hideLoading();
                }
                else {
                    _this.page = 1;
                    _this.getItems();
                }
            });
        });
    };
    LeavePage.prototype.refresh = function (refresher) {
        var _this = this;
        setTimeout(function () {
            if (!_this.util.hasNetwork())
                _this.getLocalData();
            else
                _this.getRemoteData();
            refresher.complete();
        }, 1000);
    };
    LeavePage.prototype.loadMore = function (infiniteScroll) {
        var _this = this;
        setTimeout(function () {
            _this.platform.ready().then(function () {
                _this.page = _this.page + 1;
                _this.leave.getItemsFromLocalDb(_this.page).then(function (ret) {
                    for (var i in ret) {
                        _this.items.push(ret[i]);
                    }
                });
            });
            infiniteScroll.complete();
        }, 1000);
    };
    LeavePage.prototype.createLeave = function () {
        this.nav.push("LeaveCreatePage");
    };
    LeavePage.prototype.menuToggle = function () {
        this.menu.open();
    };
    LeavePage.prototype.cancel = function (id) {
        var _this = this;
        this.leave.cancel(id).subscribe(function (ret) {
            var data = ret.json();
            if (data.code == 1) {
                var records = [];
                records[0] = data.leave;
                _this.leave.saveRecords(records);
                _this.nav.push(_this.nav.getActive().component, null, { animate: false }).then(function () {
                    var index = _this.view.index;
                    _this.nav.remove(index);
                });
            }
        });
    };
    LeavePage.prototype.openDetailPage = function (id) {
        if (id) {
            this.nav.push('LeaveDetailPage', { id: id });
        }
    };
    LeavePage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-leave',template:/*ion-inline-start:"/Users/joe/git-source/schoolapp/app/gitee/schoolapp/src/pages/leave/leave.html"*/'<ion-header>\n    <ion-navbar color="dark">\n        <button ion-button menuToggle>\n            <ion-icon name="menu" color="white"></ion-icon>\n        </button>\n        <ion-buttons start>\n            <button ion-button class="search-btn" (click)="menuToggle()">\n                <ion-icon name="menu" color="white"></ion-icon>\n            </button>\n        </ion-buttons>\n        <ion-title>\n            <span ion-text color="white" class="fw500">{{\'leavePage.history\' | translate}}</span>\n        </ion-title>\n        <ion-buttons end>\n            <button ion-button class="search-btn fw700" (click)="createLeave()">\n                <ion-icon name="md-add" color="white"></ion-icon>\n            </button>\n        </ion-buttons>\n    </ion-navbar>\n</ion-header>\n\n<ion-content>\n    <ion-refresher (ionRefresh)="refresh($event)">\n        <ion-refresher-content\n            pullingIcon="arrow-round-down"\n            pullingText="{{\'global.pullRefresh\' | translate}}"\n            refreshingText="{{\'global.refreshing\' | translate}}">\n        </ion-refresher-content>\n    </ion-refresher>\n\n	<ion-list>\n        <div class="list-no-records" *ngIf="!hasData"><p class="content text-center">{{\'global.noRecords\' | translate}}</p></div>\n        <ion-item-sliding *ngFor="let item of items">\n      		<ion-item class="list-box" (click)="openDetailPage(item.id)">\n                <span *ngIf="item.leaveType == 1">{{\'leavePage.leaveSick\' | translate}}</span>\n                <span *ngIf="item.leaveType == 0">{{\'leavePage.leaveCasual\' | translate}}</span>\n        		<p class="fw300 list-box-txt">{{item.content}}</p>\n        		<p class="list-box-time" *ngIf="(item.startDate == item.endDate && item.ampmStartDate == item.ampmEndDate ) || item.endDate==\'null\'">{{item.startDate}} {{item.ampmStartDate}}</p>\n        		<p class="list-box-time" *ngIf="(item.startDate != item.endDate || item.ampmStartDate != item.ampmEndDate ) && item.endDate!=\'null\'">{{item.startDate}} {{item.ampmStartDate}} ~ {{item.endDate}} {{item.ampmEndDate}}</p>\n                <p *ngIf="item.status == 0" class="list-box-time text-danger" item-end>{{\'leavePage.noreply\' | translate}}</p>\n        		<p *ngIf="item.status == 1" class="list-box-time text-success" item-end>{{\'leavePage.replied\' | translate}}</p>\n        		<p *ngIf="item.status == 1" class="list-box-time">{{\'leavePage.remark\' | translate}}: {{item.remark}}</p>\n                <p *ngIf="item.status == 2" class="list-box-time" item-end>{{\'leavePage.canceled\' | translate}}</p>\n      		</ion-item>\n            <ion-item-options *ngIf="item.status != 2">\n                <button ion-button color="danger" (click)="cancel(item.id)">{{\'global.cancel\' | translate}}</button>\n            </ion-item-options>\n        </ion-item-sliding>\n	</ion-list>\n\n    <ion-infinite-scroll (ionInfinite)="loadMore($event)" *ngIf="page < totalPage">\n        <ion-infinite-scroll-content loadingSpinner="bubbles" loadingText="{{\'global.loadMore\' | translate}}"></ion-infinite-scroll-content>\n    </ion-infinite-scroll>\n</ion-content>\n'/*ion-inline-end:"/Users/joe/git-source/schoolapp/app/gitee/schoolapp/src/pages/leave/leave.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_2__providers_leave_leave__["a" /* LeaveProvider */],
            __WEBPACK_IMPORTED_MODULE_3__libs_util__["a" /* Util */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["Platform"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["Events"],
            __WEBPACK_IMPORTED_MODULE_0__angular_core__["ChangeDetectorRef"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["MenuController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["ViewController"]])
    ], LeavePage);
    return LeavePage;
}());

//# sourceMappingURL=leave.js.map

/***/ })

});
//# sourceMappingURL=16.js.map