webpackJsonp([17],{

/***/ 646:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "HomeworkPageModule", function() { return HomeworkPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(11);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__homework__ = __webpack_require__(677);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__ngx_translate_core__ = __webpack_require__(52);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};




var HomeworkPageModule = (function () {
    function HomeworkPageModule() {
    }
    HomeworkPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__homework__["a" /* HomeworkPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__homework__["a" /* HomeworkPage */]),
                __WEBPACK_IMPORTED_MODULE_3__ngx_translate_core__["b" /* TranslateModule */].forChild()
            ],
        })
    ], HomeworkPageModule);
    return HomeworkPageModule;
}());

//# sourceMappingURL=homework.module.js.map

/***/ }),

/***/ 677:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return HomeworkPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(11);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_homework_homework__ = __webpack_require__(93);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_user_user__ = __webpack_require__(53);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__libs_util__ = __webpack_require__(13);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__ngx_translate_core__ = __webpack_require__(52);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};






var HomeworkPage = (function () {
    function HomeworkPage(util, platform, nav, homework, user, actionSheet, translate, menu) {
        this.util = util;
        this.platform = platform;
        this.nav = nav;
        this.homework = homework;
        this.user = user;
        this.actionSheet = actionSheet;
        this.translate = translate;
        this.menu = menu;
        this.statusList = ['all', 'unhanded'];
        this.allPage = 1;
        this.unhandedPage = 1;
        this.subjectPage = 1;
        this.subject = '';
        this.hasAllData = true;
        this.hasUnhandedData = true;
        this.hasSubjectData = true;
        this.status = this.statusList[0];
        this.currentStudentId = this.user.getCurrentStudentId();
    }
    HomeworkPage.prototype.ionViewDidLoad = function () {
        if (!this.util.hasNetwork())
            this.getLocalData();
        else
            this.getRemoteData();
    };
    HomeworkPage.prototype.getLocalData = function () {
        this.util.showLoading();
        if (this.status == 'all')
            this.allPage = 1;
        else if (this.status == 'unhanded')
            this.unhandedPage = 1;
        else if (this.status == 'subject')
            this.subjectPage = 1;
        // 全部
        this.getItems('all');
        // 递交
        this.getItems('unhanded');
        this.util.hideLoading();
    };
    HomeworkPage.prototype.getItems = function (status, subjectCode) {
        var _this = this;
        this.platform.ready().then(function () {
            // 总页数
            var currPage;
            _this.homework.getTotalPage(status, _this.currentStudentId).then(function (ret) {
                if (status == 'all') {
                    _this.allTotalPage = ret;
                    currPage = _this.allPage;
                }
                else if (status == 'unhanded') {
                    _this.unhandedTotalPage = ret;
                    currPage = _this.unhandedPage;
                }
                else if (status == 'subject') {
                    _this.subjectTotalPage = ret;
                    currPage = _this.subjectPage;
                }
            });
            _this.homework.getItemsFromLocalDb(currPage, status, _this.currentStudentId, subjectCode).then(function (ret) {
                if (status == 'all') {
                    _this.allItems = ret;
                    if (!ret.length)
                        _this.hasAllData = false;
                }
                else if (status == 'unhanded') {
                    _this.unhandedItems = ret;
                    if (!ret.length)
                        _this.hasUnhandedData = false;
                }
                else if (status == 'subject') {
                    _this.subjectItems = ret;
                    if (!ret.length)
                        _this.hasSubjectData = false;
                }
            });
        });
    };
    HomeworkPage.prototype.getRemoteData = function () {
        var _this = this;
        this.util.showLoading();
        // 从服务器更新数据
        this.platform.ready().then(function () {
            _this.homework.getItemsFromRemoteDb().subscribe(function (res) {
                var data = res.json();
                if (data.code == 1) {
                    if (data.rows.length) {
                        _this.homework.saveRecords(data.rows);
                    }
                    if (_this.status == 'all')
                        _this.allPage = 1;
                    else if (_this.status == 'unhanded')
                        _this.unhandedPage = 1;
                    else if (_this.status == 'subject')
                        _this.subjectPage = 1;
                    // 全部
                    _this.getItems('all');
                    // 递交
                    _this.getItems('unhanded');
                    _this.util.hideLoading();
                }
                else {
                    if (_this.status == 'all')
                        _this.allPage = 1;
                    else if (_this.status == 'unhanded')
                        _this.unhandedPage = 1;
                    else if (_this.status == 'subject')
                        _this.subjectPage = 1;
                    // 全部
                    _this.getItems('all');
                    // 递交
                    _this.getItems('unhanded');
                    _this.util.hideLoading();
                }
            });
        });
    };
    HomeworkPage.prototype.refresh = function (refresher) {
        var _this = this;
        setTimeout(function () {
            if (!_this.util.hasNetwork())
                _this.getLocalData();
            else
                _this.getRemoteData();
            refresher.complete();
        }, 1000);
    };
    HomeworkPage.prototype.loadMore = function (infiniteScroll) {
        var _this = this;
        setTimeout(function () {
            _this.platform.ready().then(function () {
                var currPage;
                if (_this.status == 'all')
                    _this.allPage += 1;
                else if (_this.status == 'unhanded')
                    _this.unhandedPage += 1;
                else if (_this.status == 'subject')
                    _this.subjectPage += 1;
                _this.homework.getItemsFromLocalDb(currPage).then(function (ret) {
                    for (var i in ret) {
                        if (_this.status == 'all')
                            _this.allItems.push(ret[i]);
                        else if (_this.status == 'unhanded')
                            _this.unhandedItems.push(ret[i]);
                        else if (_this.status == 'subject')
                            _this.subjectItems.push(ret[i]);
                    }
                });
            });
            infiniteScroll.complete();
        }, 1000);
    };
    HomeworkPage.prototype.switchSubject = function (subject) {
        this.getItems(this.status, subject);
    };
    HomeworkPage.prototype.swipeEvent = function (event) {
        //向左滑
        if (event.direction == 2) {
            if (this.statusList.indexOf(this.status) < 1) {
                this.status = this.statusList[this.statusList.indexOf(this.status) + 1];
            }
        }
        //向右滑
        if (event.direction == 4) {
            if (this.statusList.indexOf(this.status) > 0) {
                this.status = this.statusList[this.statusList.indexOf(this.status) - 1];
            }
        }
    };
    HomeworkPage.prototype.openDetailPage = function (id) {
        if (id) {
            this.nav.push('HomeworkDetailPage', { id: id });
        }
    };
    HomeworkPage.prototype.showSubject = function () {
        var _this = this;
        this.homework.getSubjectItems(this.currentStudentId).then(function (subjectItems) {
            var buttons = [{
                    text: _this.translate.instant('global.all'),
                    role: '',
                    handler: function () {
                        _this.switchSubject('');
                    }
                }];
            if (subjectItems.length) {
                var _loop_1 = function (i) {
                    if (subjectItems[i].subjectName != 'null') {
                        var subjectCode_1 = subjectItems[i].subjectCode;
                        var button = {
                            text: subjectItems[i].subjectName,
                            role: subjectCode_1,
                            handler: function () {
                                _this.switchSubject(subjectCode_1);
                            }
                        };
                        buttons.push(button);
                    }
                };
                for (var i in subjectItems) {
                    _loop_1(i);
                }
                buttons.push({
                    text: _this.translate.instant('global.cancel'),
                    role: 'cancel',
                    handler: function () {
                        console.log('Cancel clicked');
                    }
                });
                var actionSheet = _this.actionSheet.create({
                    title: _this.translate.instant('homeworkPage.selectSubject'),
                    buttons: buttons
                });
                actionSheet.present();
            }
        });
    };
    HomeworkPage.prototype.menuToggle = function () {
        this.menu.open();
    };
    HomeworkPage.prototype.curstr = function (str) {
        return str.substring(0, 3).toUpperCase();
    };
    HomeworkPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-homework',template:/*ion-inline-start:"/Users/joe/git-source/schoolapp/app/gitee/schoolapp/src/pages/homework/homework.html"*/'<ion-header>\n    <ion-navbar color="dark">\n        <button ion-button menuToggle>\n            <ion-icon name="menu" color="white"></ion-icon>\n        </button>\n        <ion-buttons start>\n            <button ion-button class="search-btn" (click)="menuToggle()">\n                <ion-icon name="menu" color="white"></ion-icon>\n            </button>\n        </ion-buttons>\n        <ion-title>\n            <span ion-text color="white" class="fw500">{{\'sideMenu.homework\' | translate}}</span>\n        </ion-title>\n        <!-- <ion-buttons end>\n      		<button ion-button icon-only>\n        		<ion-icon ios="ios-options-outline" md="md-options" color="white"></ion-icon>\n      		</button>\n    	</ion-buttons> -->\n    </ion-navbar>\n    <ion-toolbar no-border-bottom no-border-top>\n    	<ion-segment [(ngModel)]="status" color="dark">\n    		<ion-segment-button value="all">{{\'homeworkPage.all\' | translate}}</ion-segment-button>\n    		<ion-segment-button value="unhanded">{{\'homeworkPage.unhanded\' | translate}}</ion-segment-button>\n    		<ion-segment-button value="subject" (click)="showSubject()">{{\'homeworkPage.subject\' | translate}}</ion-segment-button>\n  		</ion-segment>\n  	</ion-toolbar>\n</ion-header>\n\n\n<ion-content>\n    <ion-refresher (ionRefresh)="refresh($event, currentMonth)">\n        <ion-refresher-content\n            pullingIcon="arrow-round-down"\n            pullingText="{{\'global.pullRefresh\' | translate}}"\n            refreshingText="{{\'global.refreshing\' | translate}}">\n        </ion-refresher-content>\n    </ion-refresher>\n\n	 <div [ngSwitch]="status">\n  		<ion-list *ngSwitchCase="\'all\'" class="list-box">\n            <div class="list-no-records" *ngIf="!hasAllData"><p class="content text-center">{{\'global.noRecords\' | translate}}</p></div>\n            <!-- (click)="openDetailPage(item.id)" -->\n	  		<ion-item *ngFor="let item of allItems" >\n                <span *ngIf="item.fileName" ><img src="{{item.attachmentUrl}}" ></span>\n                <span *ngIf="item.subjectCode != \'null\' && !item.fileName  " item-start class="subject-code">{{curstr(item.subjectCode)}}</span>\n                <p class="list-box-txt" style="font-size: 24px;line-height: 26px;">{{item.title}}</p>\n                <p class="list-box-time no-margin-top">{{\'homeworkPage.publishDate\' | translate}}：{{item.publishDate}}\n                </p>\n	  	        <p class="list-box-time no-margin-top">{{\'homeworkPage.handinDate\' | translate}}：{{item.handinDate}}\n                </p>\n                <p class="list-box-time" *ngIf="item.subjectName&&item.subjectName!=\'null\'">{{\'homeworkPage.subject\' | translate}}：[{{item.subjectName}}]</p>\n\n	  		</ion-item>\n            <ion-infinite-scroll (ionInfinite)="loadMore($event)" *ngIf="allPage < allTotalPage">\n                <ion-infinite-scroll-content loadingSpinner="bubbles" loadingText="{{\'global.loadMore\' | translate}}"></ion-infinite-scroll-content>\n            </ion-infinite-scroll>\n		</ion-list>\n\n    	<ion-list *ngSwitchCase="\'unhanded\'" class="list-box">\n            <div class="list-no-records" *ngIf="!hasUnhandedData"><p class="content text-center">{{\'global.noRecords\' | translate}}</p></div>\n      		<ion-item *ngFor="let item of unhandedItems" >\n                <span *ngIf="item.fileName" ><img src="{{item.attachmentUrl}}" ></span>\n                <span *ngIf="item.subjectCode != \'null\' && !item.fileName  " item-start class="subject-code">{{curstr(item.subjectCode)}}</span>\n                <p class="list-box-txt" style="font-size: 24px;line-height: 26px;">{{item.title}}</p>\n                <p class="list-box-time no-margin-top">{{\'homeworkPage.publishDate\' | translate}}：{{item.publishDate}}\n                </p>\n	  	        <p class="list-box-time no-margin-top">{{\'homeworkPage.handinDate\' | translate}}：{{item.handinDate}}\n                </p>\n                <p class="list-box-time" *ngIf="item.subjectName&&item.subjectName!=\'null\'">{{\'homeworkPage.subject\' | translate}}：[{{item.subjectName}}]</p>\n	  		</ion-item>\n            <ion-infinite-scroll (ionInfinite)="loadMore($event)" *ngIf="unhandedPage < unhandedTotalPage">\n                <ion-infinite-scroll-content loadingSpinner="bubbles" loadingText="{{\'global.loadMore\' | translate}}"></ion-infinite-scroll-content>\n            </ion-infinite-scroll>\n    	</ion-list>\n\n        <ion-list *ngSwitchCase="\'subject\'" class="list-box">\n            <div class="list-no-records" *ngIf="!hasSubjectData"><p class="content text-center">{{\'global.noRecords\' | translate}}</p></div>\n            <ion-item *ngFor="let item of subjectItems" >\n                <span *ngIf="item.fileName" ><img src="{{item.attachmentUrl}}" ></span>\n                <span *ngIf="item.subjectCode != \'null\' && !item.fileName  " item-start class="subject-code">{{curstr(item.subjectCode)}}</span>\n                <p class="list-box-txt" style="font-size: 24px;line-height: 26px;">{{item.title}}</p>\n                <p class="list-box-time no-margin-top">{{\'homeworkPage.publishDate\' | translate}}：{{item.publishDate}}\n                </p>\n	  	        <p class="list-box-time no-margin-top">{{\'homeworkPage.handinDate\' | translate}}：{{item.handinDate}}\n                </p>\n                <p class="list-box-time" *ngIf="item.subjectName&&item.subjectName!=\'null\'">{{\'homeworkPage.subject\' | translate}}：[{{item.subjectName}}]</p>\n            </ion-item>\n            <ion-infinite-scroll (ionInfinite)="loadMore($event)" *ngIf="subjectPage < subjectTotalPage">\n                <ion-infinite-scroll-content loadingSpinner="bubbles" loadingText="{{\'global.loadMore\' | translate}}"></ion-infinite-scroll-content>\n            </ion-infinite-scroll>\n        </ion-list>\n  	</div>\n</ion-content>\n'/*ion-inline-end:"/Users/joe/git-source/schoolapp/app/gitee/schoolapp/src/pages/homework/homework.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_4__libs_util__["a" /* Util */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["Platform"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
            __WEBPACK_IMPORTED_MODULE_2__providers_homework_homework__["a" /* HomeworkProvider */],
            __WEBPACK_IMPORTED_MODULE_3__providers_user_user__["a" /* UserProvider */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["ActionSheetController"],
            __WEBPACK_IMPORTED_MODULE_5__ngx_translate_core__["c" /* TranslateService */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["MenuController"]])
    ], HomeworkPage);
    return HomeworkPage;
}());

//# sourceMappingURL=homework.js.map

/***/ })

});
//# sourceMappingURL=17.js.map