webpackJsonp([18],{

/***/ 645:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "HomeworkDetailPageModule", function() { return HomeworkDetailPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(11);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__homework_detail__ = __webpack_require__(676);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__ngx_translate_core__ = __webpack_require__(52);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};




var HomeworkDetailPageModule = (function () {
    function HomeworkDetailPageModule() {
    }
    HomeworkDetailPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__homework_detail__["a" /* HomeworkDetailPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__homework_detail__["a" /* HomeworkDetailPage */]),
                __WEBPACK_IMPORTED_MODULE_3__ngx_translate_core__["b" /* TranslateModule */].forChild()
            ],
        })
    ], HomeworkDetailPageModule);
    return HomeworkDetailPageModule;
}());

//# sourceMappingURL=homework-detail.module.js.map

/***/ }),

/***/ 676:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return HomeworkDetailPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(11);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_homework_homework__ = __webpack_require__(93);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_bookmark_bookmark__ = __webpack_require__(433);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__libs_util__ = __webpack_require__(13);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__libs_file__ = __webpack_require__(68);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};






var HomeworkDetailPage = (function () {
    function HomeworkDetailPage(homework, navParams, bookmark, util, platform, file) {
        this.homework = homework;
        this.navParams = navParams;
        this.bookmark = bookmark;
        this.util = util;
        this.platform = platform;
        this.file = file;
        this.id = this.navParams.get('id');
    }
    HomeworkDetailPage.prototype.ionViewDidLoad = function () {
        var _this = this;
        // 判断是否从推送过来的
        var source = this.navParams.get('source');
        if (source == 'push') {
            this.homework.getItemsFromRemoteDb().subscribe(function (res) {
                var data = res.json();
                if (data.code == 1) {
                    if (data.rows.length) {
                        _this.homework.saveRecords(data.rows);
                        // 切换学生
                        // let currentStudentId = this.util.getCurrentStudentId();
                        // let pushMsgStudentId = data.rows[0].studentId;
                        // if(currentStudentId != pushMsgStudentId)
                        //     this.util.setCurrentStudentId(pushMsgStudentId);
                    }
                }
                _this.getItem(_this.id);
            });
        }
        else {
            this.getItem(this.id);
        }
    };
    HomeworkDetailPage.prototype.getItem = function (id) {
        var _this = this;
        this.util.showLoading();
        this.platform.ready().then(function () {
            _this.homework.getItem(id).then(function (ret) {
                console.log("hwk getItem  =  " + JSON.stringify(ret));
                if (ret[0].attachmentUrl) {
                    _this.file.download(ret[0].attachmentUrl);
                }
                _this.items = ret;
                _this.util.hideLoading();
            });
        });
        // 检查是否在书签列表
        this.bookmark.check('homework', this.id).then(function (ret) {
            if (ret) {
                _this.bookmarked = true;
            }
            else {
                _this.bookmarked = false;
            }
        });
    };
    HomeworkDetailPage.prototype.addToBookmark = function (id) {
        if (this.bookmarked) {
            this.bookmark.del('homework', id);
            this.bookmarked = false;
        }
        else {
            this.bookmark.add('homework', id);
            this.bookmarked = true;
        }
    };
    HomeworkDetailPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-homework-detail',template:/*ion-inline-start:"/Users/joe/git-source/schoolapp/app/gitee/schoolapp/src/pages/homework/homework-detail.html"*/'<ion-header>\n	<ion-navbar color="dark">\n        <button ion-button menuToggle>\n            <ion-icon name="menu" color="white"></ion-icon>\n        </button>\n        <ion-title>\n            <span ion-text color="white" class="fw500">{{\'homeworkPage.homeworkDetail\' | translate}}</span>\n        </ion-title>\n        <ion-buttons end>\n            <button ion-button class="search-btn" (click)="addToBookmark(id)">\n                <ion-icon name="{{bookmarked ? \'star\' : \'star-outline\'}}" color="white"></ion-icon>\n            </button>\n        </ion-buttons>\n    </ion-navbar>\n</ion-header>\n\n\n<ion-content>\n	<div *ngFor="let item of items" class="box">\n		<div class="box-row" style="border-bottom: 1px solid #ddd; border-top: none;">\n			<ion-row text-center style="font-size: 26px;line-height: 30px;">\n				<ion-col>\n					{{item.title}}\n				</ion-col>\n			</ion-row>\n			<ion-row><ion-col col-4 text-right><b>{{\'homeworkPage.publishDate\' | translate}}:</b></ion-col><ion-col col-sm-3>{{item.publishDate}}</ion-col></ion-row>\n			<ion-row><ion-col col-4 text-right><b>{{\'homeworkPage.handinDate\' | translate}}:</b></ion-col><ion-col col-sm-3>{{item.handinDate}}</ion-col></ion-row>\n			<ion-row *ngIf="item.subjectName != \'null\'"><ion-col col-4 text-right><b>{{\'homeworkPage.subject\' | translate}}:</b></ion-col><ion-col col-sm-3>{{item.subjectName}}</ion-col></ion-row>\n		</div>\n\n		<div padding=10>\n<img src="{{item.attachmentLocalUrl}}">\n		</div>\n	</div>\n</ion-content>\n'/*ion-inline-end:"/Users/joe/git-source/schoolapp/app/gitee/schoolapp/src/pages/homework/homework-detail.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_2__providers_homework_homework__["a" /* HomeworkProvider */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_3__providers_bookmark_bookmark__["a" /* BookmarkProvider */],
            __WEBPACK_IMPORTED_MODULE_4__libs_util__["a" /* Util */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["Platform"],
            __WEBPACK_IMPORTED_MODULE_5__libs_file__["a" /* FileAction */]])
    ], HomeworkDetailPage);
    return HomeworkDetailPage;
}());

//# sourceMappingURL=homework-detail.js.map

/***/ })

});
//# sourceMappingURL=18.js.map