webpackJsonp([20],{

/***/ 662:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "CalendarPageModule", function() { return CalendarPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(11);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__calendar__ = __webpack_require__(693);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__ngx_translate_core__ = __webpack_require__(52);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4_ion2_calendar__ = __webpack_require__(434);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4_ion2_calendar___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_4_ion2_calendar__);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};





var CalendarPageModule = (function () {
    function CalendarPageModule() {
    }
    CalendarPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__calendar__["a" /* CalendarPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__calendar__["a" /* CalendarPage */]),
                __WEBPACK_IMPORTED_MODULE_3__ngx_translate_core__["b" /* TranslateModule */].forChild(),
                __WEBPACK_IMPORTED_MODULE_4_ion2_calendar__["CalendarModule"]
            ],
        })
    ], CalendarPageModule);
    return CalendarPageModule;
}());

//# sourceMappingURL=calendar.module.js.map

/***/ }),

/***/ 693:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return CalendarPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(11);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_calendar_calendar__ = __webpack_require__(167);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_database__ = __webpack_require__(20);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__ngx_translate_core__ = __webpack_require__(52);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__libs_util__ = __webpack_require__(13);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__libs_file__ = __webpack_require__(68);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7_moment__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7_moment___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_7_moment__);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};








var CalendarPage = (function () {
    function CalendarPage(calendar, util, platform, modal, menu, file, db, translate) {
        var _this = this;
        this.calendar = calendar;
        this.util = util;
        this.platform = platform;
        this.modal = modal;
        this.menu = menu;
        this.file = file;
        this.db = db;
        this.translate = translate;
        this.page = 1;
        var studentId = this.util.getCurrentStudentId();
        this.schooolId = this.util.getCurrentSchoolId(studentId);
        this.currMonth = __WEBPACK_IMPORTED_MODULE_7_moment__().format('YYYY-MM');
        this.platform.ready().then(function () {
            _this.getItemsFromLocalDb(_this.currMonth).then(function (ret) {
                _this.getOptions(ret);
            });
        });
    }
    CalendarPage.prototype.ionViewDidLoad = function () {
        this.getRemoteData(this.currMonth);
    };
    CalendarPage.prototype.getItems = function (currMonth) {
        var _this = this;
        this.platform.ready().then(function () {
            _this.getCalendarEvent(currMonth, "month");
        });
    };
    CalendarPage.prototype.getRemoteData = function (currentMonth) {
        var _this = this;
        this.util.showLoading();
        // 从服务器更新数据
        this.platform.ready().then(function () {
            var studentId = _this.util.getCurrentStudentId();
            var schoolId = _this.util.getCurrentSchoolId(studentId);
            _this.calendar.getLatestFromRemoteDb(schoolId, studentId);
            _this.page = 1;
            _this.getItems(currentMonth);
            _this.util.hideLoading();
        });
    };
    CalendarPage.prototype.refresh = function (refresher, currentMonth) {
        var _this = this;
        setTimeout(function () {
            _this.getRemoteData(currentMonth);
            refresher.complete();
        }, 1000);
    };
    CalendarPage.prototype.loadMore = function (infiniteScroll) {
        var _this = this;
        setTimeout(function () {
            _this.platform.ready().then(function () {
                _this.page = _this.page + 1;
                _this.calendar.getItemsFromLocalDb(_this.page, _this.eventCondition).then(function (ret) {
                    for (var i in ret) {
                        _this.items.push(ret[i]);
                    }
                });
            });
            infiniteScroll.complete();
        }, 1000);
    };
    CalendarPage.prototype.showCalendar = function () {
        var _this = this;
        var modal = this.modal.create('CalendarModalPage');
        modal.present();
        modal.onDidDismiss(function (currDate, type) {
            _this.currMonth = currDate;
            _this.util.showLoading();
            _this.platform.ready().then(function () {
                var condition;
                if (type == 'day')
                    condition = "sDate = '" + currDate + "' AND schoolId = " + _this.schooolId;
                else
                    condition = "substr(sDate, 1, 7) = '" + currDate + "' AND schoolId = " + _this.schooolId;
                //console.log('showCalendar condition: '+ condition);
                // 总页数
                _this.calendar.getTotalPage(condition).then(function (ret) {
                    _this.totalPage = ret;
                });
                _this.calendar.getItemsFromLocalDb(_this.page, condition).then(function (ret) {
                    _this.items = ret;
                    _this.util.hideLoading();
                });
            });
        });
    };
    CalendarPage.prototype.menuToggle = function () {
        this.menu.open();
    };
    CalendarPage.prototype.viewCalendar = function () {
        var _this = this;
        var school = this.util.getSchool(this.util.getCurrentStudentId());
        var schoolCalendarPath = this.util.getSchoolCalendarPath();
        if (schoolCalendarPath) {
            this.util.showLoading();
            this.file.download(school.schoolCalendar, school.calendar).then(function (res) {
                console.log('download OK= ' + JSON.stringify(res));
                //this.file.open(res.nativeURL, school.schoolCalendar);
                _this.file.openInDataDir(school.calendar, school.schoolCalendar);
                _this.util.hideLoading();
            });
        }
        else {
            this.util.showAlert('error', 'Sorry, no calendar.');
        }
    };
    CalendarPage.prototype.daySelect = function (event, type) {
        var currDay = __WEBPACK_IMPORTED_MODULE_7_moment__(event.time).format('YYYY-MM-DD');
        this.getCalendarEvent(currDay, 'day');
    };
    CalendarPage.prototype.monthChange = function (event) {
        var _this = this;
        this.currMonth = event.newMonth.string.substr(0, 7);
        // console.log('当前月份：' + this.currMonth);
        this.platform.ready().then(function () {
            _this.getItemsFromLocalDb(_this.currMonth).then(function (res) {
                _this.getOptions(res);
                _this.getCalendarEvent(_this.currMonth, 'month');
            });
        });
    };
    CalendarPage.prototype.getItemsFromLocalDb = function (currMonth) {
        var condition = "substr(sDate, 1, 7) = '" + currMonth + "' OR substr(eDate, 1, 7) ='" + currMonth + "' AND schoolId = " + this.schooolId;
        return this.db.select('calendar', 'sDate, eDate', condition, ' sDate ASC', null, 31);
    };
    CalendarPage.prototype.getOptions = function (items) {
        var _daysConfig = [];
        if (items[0]) {
            for (var i in items) {
                // 判断事件天数
                var sDate = __WEBPACK_IMPORTED_MODULE_7_moment__(items[i].sDate);
                var eDate = __WEBPACK_IMPORTED_MODULE_7_moment__(items[i].eDate);
                var days = eDate.diff(sDate, 'days');
                var year = parseInt(sDate.format('YYYY'));
                var month = parseInt(sDate.format('M')) - 1;
                var day = parseInt(sDate.format('D'));
                // console.log('has-act sDate：' + sDate);
                _daysConfig.push({
                    date: new Date(year, month, day),
                    cssClass: 'has-act'
                });
                // 如果事件持续多天
                if (days > 0) {
                    for (var j = 0; j < days; j++) {
                        var currDay = sDate.add(1, 'day');
                        var year_1 = parseInt(currDay.format('YYYY'));
                        var month_1 = parseInt(currDay.format('M')) - 1;
                        var day_1 = parseInt(currDay.format('D'));
                        //console.log('has-act currDay：' + currDay);
                        _daysConfig.push({
                            date: new Date(year_1, month_1, day_1),
                            cssClass: 'has-act'
                        });
                    }
                }
            }
        }
        this.options = {
            from: new Date(2000, 0, 1),
            monthPickerFormat: this.translate.instant('calendarPage.options.monthPickerFormat'),
            monthFormat: this.translate.instant('calendarPage.options.monthFormat'),
            weekdays: this.translate.instant('calendarPage.options.weekdays'),
            daysConfig: _daysConfig
        };
    };
    CalendarPage.prototype.getCalendarEvent = function (currDate, type) {
        var _this = this;
        this.page = 1;
        //console.log("getCalendarEvent currDate=" + currDate+" type="+type +" this.page="+this.page);
        this.currMonth = currDate;
        this.currDate = type == 'day' ? currDate : '';
        this.util.showLoading();
        this.platform.ready().then(function () {
            var condition;
            if (type == 'day')
                condition = "'" + currDate + "' >= sDate AND '" + currDate + "' <= eDate AND schoolId = " + _this.schooolId;
            else
                condition = "substr(sDate, 1, 7) = '" + currDate + "' OR substr(eDate, 1, 7) ='" + currDate + "' AND schoolId = " + _this.schooolId;
            //console.log('condition: '+ condition);
            _this.eventCondition = condition;
            // 总页数
            _this.calendar.getTotalPage(condition).then(function (ret) {
                _this.totalPage = ret;
            });
            console.log("getCalendarEvent this.totalPage=" + _this.totalPage);
            _this.calendar.getItemsFromLocalDb(_this.page, condition).then(function (ret) {
                _this.items = ret;
                //console.log("getCalendarEvent items=" + JSON.stringify(this.items));
                _this.util.hideLoading();
            });
        });
    };
    CalendarPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-calendar',template:/*ion-inline-start:"/Users/joe/git-source/schoolapp/app/gitee/schoolapp/src/pages/calendar/calendar.html"*/'<ion-header>\n    <ion-navbar color="dark">\n        <button ion-button menuToggle>\n            <ion-icon name="menu" color="white"></ion-icon>\n        </button>\n        <ion-buttons start>\n            <button ion-button class="search-btn" (click)="menuToggle()">\n                <ion-icon name="menu" color="white"></ion-icon>\n            </button>\n        </ion-buttons>\n        <ion-title>\n            <span ion-text color="white" class="fw500">{{\'sideMenu.calendar\' | translate}}</span>\n        </ion-title>\n        <ion-buttons end>\n            <button ion-button class="search-btn" (click)="viewCalendar()">\n                <ion-icon name="attach" color="white"></ion-icon>\n                <ion-title>\n                    <span ion-text color="white" class="fw500">{{\'global.doc\' | translate}}</span>\n                </ion-title>\n\n            </button>\n        </ion-buttons>\n    </ion-navbar>\n    <!-- <ion-toolbar no-border-bottom no-border-top>\n        <div class="title">{{currMonth}}</div>\n    </ion-toolbar> -->\n</ion-header>\n\n<ion-content>\n    <ion-refresher (ionRefresh)="refresh($event, currMonth)">\n        <ion-refresher-content\n            pullingIcon="arrow-round-down"\n            pullingText="{{\'global.pullRefresh\' | translate}}"\n            refreshingText="{{\'global.refreshing\' | translate}}">\n        </ion-refresher-content>\n    </ion-refresher>\n\n    <ion-calendar [(ngModel)]="date"\n		[options]="options"\n		[type]="type"\n		(onSelect)="daySelect($event)"\n		(monthChange)="monthChange($event)"\n		[format]="\'YYYY-MM-DD\'">\n	</ion-calendar>\n\n	<ion-list>\n  		<ion-item *ngFor="let item of items" class="list-box">\n            <span>{{item.type}}</span>\n    		<p class="fw300 list-box-txt">{{item.title}}</p>\n            <p class="list-box-time" item-end *ngIf="currDate">{{currDate}}</p>\n    		<p class="list-box-time" item-end *ngIf="!currDate && item.sDate == item.eDate">{{item.sDate}}</p>\n    		<p class="list-box-time" item-end *ngIf="!currDate && item.sDate != item.eDate">{{item.sDate}} ~ {{item.eDate}}</p>\n  		</ion-item>\n	</ion-list>\n\n    <ion-infinite-scroll (ionInfinite)="loadMore($event)" *ngIf="page < totalPage">\n        <ion-infinite-scroll-content loadingSpinner="bubbles" loadingText="{{\'global.loadMore\' | translate}}"></ion-infinite-scroll-content>\n    </ion-infinite-scroll>\n</ion-content>\n'/*ion-inline-end:"/Users/joe/git-source/schoolapp/app/gitee/schoolapp/src/pages/calendar/calendar.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_2__providers_calendar_calendar__["a" /* CalendarProvider */],
            __WEBPACK_IMPORTED_MODULE_5__libs_util__["a" /* Util */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["Platform"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["ModalController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["MenuController"],
            __WEBPACK_IMPORTED_MODULE_6__libs_file__["a" /* FileAction */],
            __WEBPACK_IMPORTED_MODULE_3__providers_database__["a" /* DatabaseProvider */],
            __WEBPACK_IMPORTED_MODULE_4__ngx_translate_core__["c" /* TranslateService */]])
    ], CalendarPage);
    return CalendarPage;
}());

//# sourceMappingURL=calendar.js.map

/***/ })

});
//# sourceMappingURL=20.js.map