webpackJsonp([22],{

/***/ 641:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "BookmarkPageModule", function() { return BookmarkPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(11);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__bookmark__ = __webpack_require__(672);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__ngx_translate_core__ = __webpack_require__(52);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};




var BookmarkPageModule = (function () {
    function BookmarkPageModule() {
    }
    BookmarkPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__bookmark__["a" /* BookmarkPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__bookmark__["a" /* BookmarkPage */]),
                __WEBPACK_IMPORTED_MODULE_3__ngx_translate_core__["b" /* TranslateModule */].forChild()
            ],
        })
    ], BookmarkPageModule);
    return BookmarkPageModule;
}());

//# sourceMappingURL=bookmark.module.js.map

/***/ }),

/***/ 672:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return BookmarkPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(11);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_bookmark_bookmark__ = __webpack_require__(433);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__libs_util__ = __webpack_require__(13);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};




var BookmarkPage = (function () {
    function BookmarkPage(nav, bookmark, menu, platform, view, util) {
        this.nav = nav;
        this.bookmark = bookmark;
        this.menu = menu;
        this.platform = platform;
        this.view = view;
        this.util = util;
        this.page = 1;
    }
    BookmarkPage.prototype.ionViewDidLoad = function () {
        this.getItems();
    };
    BookmarkPage.prototype.getItems = function () {
        var _this = this;
        this.platform.ready().then(function () {
            // 总页数
            _this.bookmark.getTotalPage().then(function (ret) {
                _this.totalPage = ret;
            });
            _this.bookmark.getItemsFromLocalDb(_this.page).then(function (ret) {
                _this.items = ret;
            });
        });
    };
    BookmarkPage.prototype.refresh = function (refresher) {
        var _this = this;
        setTimeout(function () {
            _this.getItems();
            refresher.complete();
        }, 1000);
    };
    BookmarkPage.prototype.loadMore = function (infiniteScroll) {
        var _this = this;
        setTimeout(function () {
            _this.platform.ready().then(function () {
                _this.page = _this.page + 1;
                _this.bookmark.getItemsFromLocalDb(_this.page).then(function (ret) {
                    for (var i in ret) {
                        _this.items.push(ret[i]);
                    }
                });
            });
            infiniteScroll.complete();
        }, 1000);
    };
    BookmarkPage.prototype.menuToggle = function () {
        this.menu.open();
    };
    BookmarkPage.prototype.openDetailPage = function (type, id) {
        var modulePage;
        switch (type) {
            case "message":
                modulePage = 'MessageDetailPage';
                break;
            case "news":
                modulePage = 'NewsDetailPage';
                break;
            case "notice":
                modulePage = 'NoticeDetailPage';
                break;
            case "homework":
                modulePage = 'HomeworkDetailPage';
                break;
        }
        this.nav.push(modulePage, { id: id });
    };
    BookmarkPage.prototype.removeBookmark = function (module, id) {
        var _this = this;
        this.util.showLoading();
        this.bookmark.del(module, id);
        this.nav.push(this.nav.getActive().component, null, { animate: false }).then(function () {
            var index = _this.view.index;
            _this.nav.remove(index);
            _this.util.hideLoading();
        });
    };
    BookmarkPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-bookmark',template:/*ion-inline-start:"/Users/joe/git-source/schoolapp/app/gitee/schoolapp/src/pages/bookmark/bookmark.html"*/'<ion-header>\n    <ion-navbar color="dark">\n        <button ion-button menuToggle>\n            <ion-icon name="menu" color="white"></ion-icon>\n        </button>\n        <ion-buttons start>\n            <button ion-button class="search-btn" (click)="menuToggle()">\n                <ion-icon name="menu" color="white"></ion-icon>\n            </button>\n        </ion-buttons>\n        <ion-title>\n            <span ion-text color="white" class="fw500">{{\'sideMenu.bookmark\' | translate}}</span>\n        </ion-title>\n    </ion-navbar>\n</ion-header>\n\n<ion-content>\n    <ion-refresher (ionRefresh)="refresh($event)">\n        <ion-refresher-content\n            pullingIcon="arrow-round-down"\n            pullingText="{{\'global.pullRefresh\' | translate}}"\n            refreshingText="{{\'global.refreshing\' | translate}}">\n        </ion-refresher-content>\n    </ion-refresher>\n\n    <!-- <div class="list-no-records" *ngIf="items.length() > 0"><p class="content text-center">{{\'No Records\' | translate}}</p></div> -->\n\n	<ion-list>\n  		<ion-item-sliding *ngFor="let item of items">\n  			<ion-item (click)="openDetailPage(item.type, item.refId)" class="list-box">\n	            <ion-icon *ngIf="item.type == \'news\'" name="volume-up" item-start class="list-box-icon"></ion-icon>\n	            <ion-icon *ngIf="item.type == \'homework\'" name="list-box" item-start class="list-box-icon"></ion-icon>\n	            <ion-icon *ngIf="item.type == \'message\'" name="mail" item-start class="list-box-icon"></ion-icon>\n	            <ion-icon *ngIf="item.type == \'notice\'" name="list-box" item-start class="list-box-icon"></ion-icon>\n	    		<p class="fw300 list-box-txt" [innerHTML]="item.title.length > 50 ? (item.title.substring(0, 50) + \'...\') : item.title"></p>\n	    		<p class="list-box-time"><ion-icon name="md-time"></ion-icon> {{item.date}}</p>\n	    	</ion-item>\n	    	<ion-item-options>\n      			<button ion-button color="danger" (click)="removeBookmark(item.type, item.refId)">{{\'global.delete\' | translate}}</button>\n    		</ion-item-options>\n  		</ion-item-sliding>\n	</ion-list>\n\n    <ion-infinite-scroll (ionInfinite)="loadMore($event)" *ngIf="page < totalPage">\n        <ion-infinite-scroll-content loadingSpinner="bubbles" loadingText="{{\'global.loadMore\' | translate}}"></ion-infinite-scroll-content>\n    </ion-infinite-scroll>\n</ion-content>\n'/*ion-inline-end:"/Users/joe/git-source/schoolapp/app/gitee/schoolapp/src/pages/bookmark/bookmark.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
            __WEBPACK_IMPORTED_MODULE_2__providers_bookmark_bookmark__["a" /* BookmarkProvider */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["MenuController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["Platform"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["ViewController"],
            __WEBPACK_IMPORTED_MODULE_3__libs_util__["a" /* Util */]])
    ], BookmarkPage);
    return BookmarkPage;
}());

//# sourceMappingURL=bookmark.js.map

/***/ })

});
//# sourceMappingURL=22.js.map