webpackJsonp([23],{

/***/ 640:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "AttendancePageModule", function() { return AttendancePageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(11);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__attendance__ = __webpack_require__(671);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__ngx_translate_core__ = __webpack_require__(52);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};




var AttendancePageModule = (function () {
    function AttendancePageModule() {
    }
    AttendancePageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__attendance__["a" /* AttendancePage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__attendance__["a" /* AttendancePage */]),
                __WEBPACK_IMPORTED_MODULE_3__ngx_translate_core__["b" /* TranslateModule */].forChild()
            ],
        })
    ], AttendancePageModule);
    return AttendancePageModule;
}());

//# sourceMappingURL=attendance.module.js.map

/***/ }),

/***/ 671:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return AttendancePage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(11);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_moment__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_moment___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_2_moment__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_attendance_attendance__ = __webpack_require__(166);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__providers_user_user__ = __webpack_require__(53);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__libs_util__ = __webpack_require__(13);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__app_app_config__ = __webpack_require__(18);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};







var AttendancePage = (function () {
    function AttendancePage(navCtrl, navParams, attendance, user, platform, util, menu, modal) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.attendance = attendance;
        this.user = user;
        this.platform = platform;
        this.util = util;
        this.menu = menu;
        this.modal = modal;
        this.page = 1;
        this.statInfo = {};
        this.currentMonth = __WEBPACK_IMPORTED_MODULE_2_moment__().format("YYYY-MM");
        this.currentStudentId = this.user.getCurrentStudentId();
        this.initStatInfo();
    }
    AttendancePage.prototype.ionViewDidLoad = function () {
        /*
        if(!this.util.hasNetwork())
            this.getLocalData(this.currentMonth);
        else
            this.getRemoteData(this.currentMonth);
            */
        this.getLocalData(this.currentMonth);
    };
    AttendancePage.prototype.getLocalData = function (currentMonth) {
        this.statInfo['late'] = 0;
        this.statInfo['early'] = 0;
        this.statInfo['absent'] = 0;
        this.statInfo['present'] = 0;
        this.util.showLoading();
        this.getItems(currentMonth);
        this.util.hideLoading();
    };
    AttendancePage.prototype.len = function (items) {
        var len = 0;
        for (var i in items) {
            if (typeof (items[i]) != 'undefined') {
                len++;
            }
        }
        return len;
    };
    AttendancePage.prototype.getItems = function (currentMonth) {
        var _this = this;
        this.platform.ready().then(function () {
            var condition = " studentId = " + _this.currentStudentId + " AND substr(payDate, 1, 7) = '" + currentMonth + "'";
            // 总页数
            _this.attendance.getTotalPage(condition).then(function (ret) {
                _this.totalPage = ret;
            });
            _this.attendance.getItemsFromLocalDb(_this.page, condition).then(function (ret) {
                for (var i in ret) {
                    var item = ret[i];
                    if (!item.inPicUrl)
                        ret[i].inPicUrl = _this.util.getAvatar(_this.currentStudentId);
                    if (!item.outPicUrl)
                        ret[i].outPicUrl = _this.util.getAvatar(_this.currentStudentId);
                    if (item.late)
                        _this.statInfo['late'] += 1;
                    if (item.early)
                        _this.statInfo['early'] += 1;
                    if (item.status == 2)
                        _this.statInfo['absent'] += 1;
                    _this.statInfo['present']++;
                }
                _this.items = ret;
            });
        });
    };
    AttendancePage.prototype.getRemoteData = function (currentMonth) {
        var _this = this;
        if (this.util.hasHttpJobs(__WEBPACK_IMPORTED_MODULE_6__app_app_config__["a" /* Config */].attendanceGetApiUrl)) {
            console.log("att already running getRemoteData, return");
            return;
        }
        this.util.addHttpJobs(__WEBPACK_IMPORTED_MODULE_6__app_app_config__["a" /* Config */].attendanceGetApiUrl);
        this.util.showLoading();
        this.statInfo['late'] = 0;
        this.statInfo['early'] = 0;
        this.statInfo['absent'] = 0;
        this.statInfo['present'] = 0;
        // 从服务器更新数据
        this.platform.ready().then(function () {
            _this.attendance.getItemsFromRemoteDb().subscribe(function (res) {
                var data = res.json();
                if (data.code == 1) {
                    if (data.rows.length) {
                        _this.attendance.saveRecords(data.rows);
                    }
                    _this.page = 1;
                    _this.getItems(currentMonth);
                    _this.util.hideLoading();
                }
                else {
                    _this.page = 1;
                    _this.getItems(currentMonth);
                    _this.util.hideLoading();
                }
                _this.util.removeHttpJobs(__WEBPACK_IMPORTED_MODULE_6__app_app_config__["a" /* Config */].attendanceGetApiUrl);
            });
        });
    };
    AttendancePage.prototype.refresh = function (refresher, currentMonth) {
        var _this = this;
        setTimeout(function () {
            if (!_this.util.hasNetwork())
                _this.getLocalData(currentMonth);
            else
                _this.getRemoteData(currentMonth);
            refresher.complete();
        }, 1000);
    };
    AttendancePage.prototype.loadMore = function (infiniteScroll) {
        var _this = this;
        setTimeout(function () {
            _this.platform.ready().then(function () {
                _this.page = _this.page + 1;
                _this.attendance.getItemsFromLocalDb(_this.page).then(function (ret) {
                    for (var i in ret) {
                        _this.items.push(ret[i]);
                    }
                });
            });
            infiniteScroll.complete();
        }, 1000);
    };
    AttendancePage.prototype.changeDate = function (type) {
        this.util.showLoading();
        this.initStatInfo();
        if (type == 'prev') {
            this.currentMonth = __WEBPACK_IMPORTED_MODULE_2_moment__(this.currentMonth, "YYYY-MM").add(-1, 'month').format("YYYY-MM");
            this.getItems(this.currentMonth);
        }
        else if (type == 'next') {
            this.currentMonth = __WEBPACK_IMPORTED_MODULE_2_moment__(this.currentMonth, "YYYY-MM").add(1, 'month').format("YYYY-MM");
            this.getItems(this.currentMonth);
        }
        this.util.hideLoading();
    };
    AttendancePage.prototype.initStatInfo = function () {
        this.statInfo = {
            present: 0,
            absent: 0,
            late: 0,
            early: 0,
            personalLeave: 0,
            sickLeave: 0
        };
    };
    AttendancePage.prototype.menuToggle = function () {
        this.menu.open();
    };
    AttendancePage.prototype.showMonthPicker = function () {
        var _this = this;
        var modal = this.modal.create('AttendanceMonthPickerPage');
        modal.onDidDismiss(function (currentMonth) {
            if (currentMonth) {
                _this.util.showLoading();
                _this.getItems(currentMonth);
                _this.currentMonth = currentMonth;
                _this.util.hideLoading();
            }
        });
        modal.present();
    };
    AttendancePage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-attendance',template:/*ion-inline-start:"/Users/joe/git-source/schoolapp/app/gitee/schoolapp/src/pages/attendance/attendance.html"*/'<ion-header>\n    <ion-navbar color="dark">\n        <button ion-button menuToggle>\n            <ion-icon name="menu" color="white"></ion-icon>\n        </button>\n        <ion-buttons start>\n            <button ion-button class="search-btn" (click)="menuToggle()">\n                <ion-icon name="menu" color="white"></ion-icon>\n            </button>\n        </ion-buttons>\n        <ion-title>\n            <span ion-text color="white" class="fw500">{{\'sideMenu.attendance\' | translate}}</span>\n        </ion-title>\n    </ion-navbar>\n    <ion-toolbar no-border-bottom no-border-top>\n    	<div class="row" text-center>\n    		<div class="col col-3" (click)="changeDate(\'prev\')"><ion-icon name="arrow-back" style="font-size: 30px;"></ion-icon></div>\n    		<div class="col col-6 fw500" style="font-size: 20px;margin-top:2px;" (click)="showMonthPicker()">{{currentMonth}}</div>\n    		<div class="col col-3" (click)="changeDate(\'next\')"><ion-icon name="arrow-forward" style="font-size: 30px;"></ion-icon></div>\n    	</div>\n  	</ion-toolbar>\n</ion-header>\n\n<ion-content class="content">\n	<ion-refresher (ionRefresh)="refresh($event, currentMonth)">\n        <ion-refresher-content\n            pullingIcon="arrow-round-down"\n            pullingText="{{\'global.pullRefresh\' | translate}}"\n            refreshingText="{{\'global.refreshing\' | translate}}">\n        </ion-refresher-content>\n    </ion-refresher>\n\n	<div class="general-info" text-center>\n		<div class="row border-bottom info-title">\n			<div class="col col-4">出席：{{statInfo.present}}</div>\n			<div class="col col-4">遲到：{{statInfo.late}}</div>\n			<div class="col col-4">早退：{{statInfo.early}}</div>\n		</div>\n		<div class="row border-bottom info-title">\n			<div class="col col-4">缺席：{{statInfo.absent}}</div>\n			<div class="col col-4">病假：{{statInfo.sickLeave}}</div>\n			<div class="col col-4">事假：{{statInfo.personalLeave}}</div>\n		</div>\n	</div>\n\n	<div class="detial-info" padding>\n		<div class="list-no-records" *ngIf="!len(items)"><p text-center>{{\'global.noRecords\' | translate}}</p></div>\n\n		<div class="info-list" *ngFor="let item of items">\n			<div class="title">{{item.payDate}}</div>\n			<div class="row info">\n				<div class="col col-4"><img src="{{item.inPicUrl}}" style="width: 100%"></div>\n				<div class="col col-4">\n					<h3>{{\'attendancePage.arrivalTime\' | translate}}</h3>\n					<p *ngIf="item.inTime!=\'null\'">{{item.inTime.substring(0,5)}}</p>\n					<p *ngIf="item.late" class="text-danger">({{\'attendancePage.late\' | translate}})</p>\n				</div>\n				<div class="col col-4"><img src="{{item.outPicUrl}}" style="width:100%;"></div>\n				<div class="col col-4">\n					<h3>{{\'attendancePage.departureTime\' | translate}}</h3>\n		            <span *ngIf="item.outTime!=\'null\'">{{item.outTime.substring(0,5)}}</span>\n		            <br>\n		            <span *ngIf="item.early" class="text-danger">({{\'attendancePage.leaveEarly\' | translate}})</span>\n				</div>\n			</div>\n		</div>\n	</div>\n\n	<ion-infinite-scroll (ionInfinite)="loadMore($event)" *ngIf="page < totalPage">\n        <ion-infinite-scroll-content loadingSpinner="bubbles" loadingText="{{\'global.loadMore\' | translate}}"></ion-infinite-scroll-content>\n    </ion-infinite-scroll>\n</ion-content>\n'/*ion-inline-end:"/Users/joe/git-source/schoolapp/app/gitee/schoolapp/src/pages/attendance/attendance.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_3__providers_attendance_attendance__["a" /* AttendanceProvider */],
            __WEBPACK_IMPORTED_MODULE_4__providers_user_user__["a" /* UserProvider */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["Platform"],
            __WEBPACK_IMPORTED_MODULE_5__libs_util__["a" /* Util */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["MenuController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["ModalController"]])
    ], AttendancePage);
    return AttendancePage;
}());

//# sourceMappingURL=attendance.js.map

/***/ })

});
//# sourceMappingURL=23.js.map