webpackJsonp([10],{

/***/ 661:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "NoticePageModule", function() { return NoticePageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(11);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__notice__ = __webpack_require__(692);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__ngx_translate_core__ = __webpack_require__(52);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};




var NoticePageModule = (function () {
    function NoticePageModule() {
    }
    NoticePageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__notice__["a" /* NoticePage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__notice__["a" /* NoticePage */]),
                __WEBPACK_IMPORTED_MODULE_3__ngx_translate_core__["b" /* TranslateModule */].forChild()
            ],
        })
    ], NoticePageModule);
    return NoticePageModule;
}());

//# sourceMappingURL=notice.module.js.map

/***/ }),

/***/ 692:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return NoticePage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(11);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_notice_notice__ = __webpack_require__(92);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_payment_payment__ = __webpack_require__(162);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__libs_util__ = __webpack_require__(13);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__libs_file__ = __webpack_require__(68);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__app_app_config__ = __webpack_require__(18);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};







var NoticePage = (function () {
    function NoticePage(notice, util, platform, nav, payment, events, cdr, menu, view, file) {
        var _this = this;
        this.notice = notice;
        this.util = util;
        this.platform = platform;
        this.nav = nav;
        this.payment = payment;
        this.events = events;
        this.cdr = cdr;
        this.menu = menu;
        this.view = view;
        this.file = file;
        this.statusList = ['all', 'unsigned', 'signed'];
        this.allPage = 1;
        this.unsignedPage = 1;
        this.signedPage = 1;
        this.hasAllData = true;
        this.hasUnsignedData = true;
        this.hasSignedData = true;
        events.subscribe('noticeReplySuccess', function () {
            _this.getRemoteData();
            _this.payment.getLatestFromRemoteDb(_this.util.getCurrentStudentId());
        });
        this.status = this.statusList[0];
    }
    NoticePage.prototype.ionViewDidLoad = function () {
        this.util.showLoading();
        /*
        if(!this.util.hasNetwork())
            this.getLocalData();
        else
            this.getRemoteData();
            */
        this.getLocalData();
        this.util.hideLoading();
    };
    NoticePage.prototype.getLocalData = function () {
        if (this.status == 'all')
            this.allPage = 1;
        else if (this.status == 'unsigned')
            this.unsignedPage = 1;
        else if (this.status == 'signed')
            this.signedPage = 1;
        // 全部
        this.getItems('all');
        // 未签
        this.getItems('unsigned');
        // 已签
        this.getItems('signed');
    };
    NoticePage.prototype.getItems = function (status) {
        var _this = this;
        this.platform.ready().then(function () {
            // 总页数
            var currPage;
            _this.notice.getTotalPage(status).then(function (ret) {
                if (status == 'all') {
                    _this.allTotalPage = ret;
                    currPage = _this.allPage;
                }
                else if (status == 'unsigned') {
                    _this.unsignedTotalPage = ret;
                    currPage = _this.unsignedPage;
                }
                else if (status == 'signed') {
                    _this.signedTotalPage = ret;
                    currPage = _this.signedPage;
                }
            });
            _this.notice.getItemsFromLocalDb(currPage, status).then(function (ret) {
                for (var i in ret) {
                    ret[i]['isExpired'] = _this.notice.isExpired(ret[i]);
                    ret[i]['isUnsigned'] = _this.notice.isUnsigned(ret[i]);
                    if (ret[i].attachmentUrl) {
                        ret[i]['attachmentLocalUrl'] = ret[i].attachmentUrl;
                    }
                    else {
                        ret[i]['attachmentLocalUrl'] = '';
                    }
                }
                if (status == 'all') {
                    _this.allItems = ret;
                    if (!ret.length)
                        _this.hasAllData = false;
                }
                else if (status == 'unsigned') {
                    _this.unsignedItems = ret;
                    if (!ret.length)
                        _this.hasUnsignedData = false;
                }
                else if (status == 'signed') {
                    _this.signedItems = ret;
                    // this.util.hideLoading();
                    if (!ret.length)
                        _this.hasSignedData = false;
                }
            });
        });
    };
    NoticePage.prototype.swipeEvent = function (event) {
        //向左滑
        if (event.direction == 2) {
            if (this.statusList.indexOf(this.status) < 2) {
                this.status = this.statusList[this.statusList.indexOf(this.status) + 1];
            }
        }
        //向右滑
        if (event.direction == 4) {
            if (this.statusList.indexOf(this.status) > 0) {
                this.status = this.statusList[this.statusList.indexOf(this.status) - 1];
            }
        }
    };
    NoticePage.prototype.openDetailPage = function (id) {
        if (id) {
            this.nav.push('NoticeDetailPage', { id: id });
        }
    };
    NoticePage.prototype.getRemoteData = function () {
        var _this = this;
        if (this.util.hasHttpJobs(__WEBPACK_IMPORTED_MODULE_6__app_app_config__["a" /* Config */].noticeGetApiUrl)) {
            console.log("ntc already running getRemoteData, return");
            return;
        }
        this.util.addHttpJobs(__WEBPACK_IMPORTED_MODULE_6__app_app_config__["a" /* Config */].noticeGetApiUrl);
        // 从服务器更新数据
        this.platform.ready().then(function () {
            _this.notice.getItemsFromRemoteDb().subscribe(function (res) {
                var data = res.json();
                if (data.code == 1) {
                    if (data.rows.length) {
                        _this.notice.saveRecords(data.rows);
                    }
                    if (_this.status == 'all')
                        _this.allPage = 1;
                    else if (_this.status == 'unsigned')
                        _this.unsignedPage = 1;
                    else if (_this.status == 'signed')
                        _this.signedPage = 1;
                    // 全部
                    _this.getItems('all');
                    // 未签
                    _this.getItems('unsigned');
                    // 已签
                    _this.getItems('signed');
                    // this.util.hideLoading();
                }
                else {
                    if (_this.status == 'all')
                        _this.allPage = 1;
                    else if (_this.status == 'unsigned')
                        _this.unsignedPage = 1;
                    else if (_this.status == 'signed')
                        _this.signedPage = 1;
                    // 全部
                    _this.getItems('all');
                    // 未签
                    _this.getItems('unsigned');
                    // 已签
                    _this.getItems('signed');
                }
                _this.util.removeHttpJobs(__WEBPACK_IMPORTED_MODULE_6__app_app_config__["a" /* Config */].noticeGetApiUrl);
            });
        });
    };
    NoticePage.prototype.refresh = function (refresher) {
        var _this = this;
        setTimeout(function () {
            if (!_this.util.hasNetwork())
                _this.getLocalData();
            else
                _this.getRemoteData();
            refresher.complete();
        }, 1000);
    };
    NoticePage.prototype.loadMore = function (infiniteScroll) {
        var _this = this;
        setTimeout(function () {
            _this.platform.ready().then(function () {
                var currPage;
                if (_this.status == 'all') {
                    _this.allPage += 1;
                    currPage = _this.allPage;
                }
                else if (_this.status == 'unsigned') {
                    _this.unsignedPage += 1;
                    currPage = _this.unsignedPage;
                }
                else if (_this.status == 'signed') {
                    _this.signedPage += 1;
                    currPage = _this.signedPage;
                }
                _this.notice.getItemsFromLocalDb(currPage).then(function (ret) {
                    for (var i in ret) {
                        ret[i]['isExpired'] = _this.notice.isExpired(ret[i]);
                        ret[i]['isUnsigned'] = _this.notice.isUnsigned(ret[i]);
                        if (ret[i].attachmentUrl) {
                            ret[i]['attachmentLocalUrl'] = ret[i].attachmentUrl;
                        }
                        else {
                            ret[i]['attachmentLocalUrl'] = '';
                        }
                        if (_this.status == 'all')
                            _this.allItems.push(ret[i]);
                        else if (_this.status == 'unsigned')
                            _this.unsignedItems.push(ret[i]);
                        else if (_this.status == 'signed')
                            _this.signedItems.push(ret[i]);
                    }
                });
            });
            infiniteScroll.complete();
        }, 1000);
    };
    NoticePage.prototype.menuToggle = function () {
        this.menu.open();
    };
    NoticePage.prototype.delete = function (id, status) {
        var _this = this;
        this.notice.del(id);
        this.nav.push(this.nav.getActive().component).then(function () {
            var index = _this.view.index;
            _this.nav.remove(index);
            _this.status = status;
        });
    };
    NoticePage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-notice',template:/*ion-inline-start:"/Users/joe/git-source/schoolapp/app/gitee/schoolapp/src/pages/notice/notice.html"*/'<ion-header>\n    <ion-navbar color="dark">\n        <button ion-button menuToggle>\n            <ion-icon name="menu" color="white"></ion-icon>\n        </button>\n        <ion-buttons start>\n            <button ion-button class="search-btn" (click)="menuToggle()">\n                <ion-icon name="menu" color="white"></ion-icon>\n            </button>\n        </ion-buttons>\n        <ion-title>\n            <span ion-text color="white" class="fw500">{{\'sideMenu.notice\' | translate}}</span>\n        </ion-title>\n    </ion-navbar>\n    <ion-toolbar no-border-bottom no-border-top>\n    	<ion-segment [(ngModel)]="status" color="dark">\n    		<ion-segment-button value="all">{{\'noticePage.all\' | translate}}</ion-segment-button>\n    		<ion-segment-button value="unsigned">{{\'noticePage.unsigned\' | translate}}</ion-segment-button>\n    		<ion-segment-button value="signed">{{\'noticePage.signed\' | translate}}</ion-segment-button>\n  		</ion-segment>\n  	</ion-toolbar>\n</ion-header>\n\n\n<ion-content>\n    <ion-refresher (ionRefresh)="refresh($event)">\n        <ion-refresher-content\n            pullingIcon="arrow-round-down"\n            pullingText="{{\'global.pullRefresh\' | translate}}"\n            refreshingText="{{\'global.refreshing\' | translate}}">\n        </ion-refresher-content>\n    </ion-refresher>\n\n	<div [ngSwitch]="status">\n  		<ion-list *ngSwitchCase="\'all\'" class="list-box">\n            <div class="list-no-records" *ngIf="!hasAllData"><p class="content text-center">{{\'global.noRecords\' | translate}}</p></div>\n            <ion-item-sliding *ngFor="let item of allItems">\n    	  		<ion-item (click)="openDetailPage(item.id)">\n                    <img src="{{item.attachmentLocalUrl}}" width="50" height="50" item-start *ngIf="item.fileName != \'null\' && item.fileName.indexOf(\'pdf\') == -1">\n                    <img src="./assets/imgs/icon_pdf.png" width="50" height="50" item-start *ngIf="item.fileName != \'null\' && item.fileName.indexOf(\'pdf\') != -1">\n                    <img src="./assets/imgs/module_icon/notice.png" width="50" height="50" item-start *ngIf="item.fileName == \'null\'">\n                    <p *ngIf="item.needReply && item.n2sStatus!=6" class="list-box-txt fw700 text-primary" [innerHTML]="item.title"></p>\n                    <p *ngIf="!item.needReply || item.n2sStatus==6" class="fw300 list-box-txt" [innerHTML]="item.title"></p>\n    	  	        <p class="list-box-time">{{item.publishDate}}<ion-icon name="attach" *ngIf="item.attachment != \'\' && item.attachment != \'null\'" class="m-l-xs"></ion-icon>\n                        <span *ngIf="item.isExpired" class="unsigned">{{\'noticePage.isExpired\' | translate}}</span>\n                        <span *ngIf="item.isUnsigned" class="unsigned">{{\'noticePage.unsigned\' | translate}}</span>\n                        <span *ngIf="item.needReply && item.n2sStatus==6" class="signed">{{\'noticePage.signed\' | translate}}</span>\n                    </p>\n    	  		</ion-item>\n                <ion-item-options>\n                    <button ion-button color="danger" (click)="delete(item.id, this.status)">{{\'global.delete\' | translate}}</button>\n                </ion-item-options>\n            </ion-item-sliding>\n            <ion-infinite-scroll (ionInfinite)="loadMore($event)" *ngIf="allPage < allTotalPage">\n                <ion-infinite-scroll-content loadingSpinner="bubbles" loadingText="{{\'global.loadMore\' | translate}}"></ion-infinite-scroll-content>\n            </ion-infinite-scroll>\n		</ion-list>\n\n    	<ion-list *ngSwitchCase="\'unsigned\'" class="list-box">\n            <div class="list-no-records" *ngIf="!hasUnsignedData"><p class="content text-center">{{\'global.noRecords\' | translate}}</p></div>\n            <ion-item-sliding *ngFor="let item of unsignedItems">\n          		<ion-item (click)="openDetailPage(item.id)">\n                    <img src="{{item.attachmentLocalUrl}}" width="50" height="50" item-start *ngIf="item.fileName != \'null\' && item.fileName.indexOf(\'pdf\') == -1">\n                    <img src="./assets/imgs/icon_pdf.png" width="50" height="50" item-start *ngIf="item.fileName != \'null\' && item.fileName.indexOf(\'pdf\') != -1">\n                    <img src="./assets/imgs/module_icon/notice.png" width="50" height="50" item-start *ngIf="item.fileName == \'null\'">\n                    <p *ngIf="item.needReply && item.n2sStatus!=6" class="list-box-txt fw700 text-primary" [innerHTML]="item.title"></p>\n                    <p *ngIf="!item.needReply || item.n2sStatus==6" class="fw300 list-box-txt" [innerHTML]="item.title"></p>\n                    <p class="list-box-time">{{item.publishDate}}<ion-icon name="attach" *ngIf="item.attachment != \'\' && item.attachment != \'null\'" class="m-l-xs"></ion-icon>\n                        <span class="unsigned">{{\'noticePage.unsigned\' | translate}}</span>\n                    </p>\n    	  		</ion-item>\n                <ion-item-options>\n                    <button ion-button color="danger" (click)="delete(item.id, this.status)">{{\'global.delete\' | translate}}</button>\n                </ion-item-options>\n            </ion-item-sliding>\n            <ion-infinite-scroll (ionInfinite)="loadMore($event)" *ngIf="unsignedPage < unsignedTotalPage">\n                <ion-infinite-scroll-content loadingSpinner="bubbles" loadingText="{{\'global.loadMore\' | translate}}"></ion-infinite-scroll-content>\n            </ion-infinite-scroll>\n    	</ion-list>\n\n    	<ion-list *ngSwitchCase="\'signed\'" class="list-box">\n            <div class="list-no-records" *ngIf="!hasSignedData"><p class="content text-center">{{\'global.noRecords\' | translate}}</p></div>\n            <ion-item-sliding *ngFor="let item of signedItems">\n          		<ion-item (click)="openDetailPage(item.id)">\n                    <img src="{{item.attachmentLocalUrl}}" width="50" height="50" item-start *ngIf="item.fileName != \'null\' && item.fileName.indexOf(\'pdf\') == -1">\n                    <img src="./assets/imgs/icon_pdf.png" width="50" height="50" item-start *ngIf="item.fileName != \'null\' && item.fileName.indexOf(\'pdf\') != -1">\n                    <img src="./assets/imgs/module_icon/notice.png" width="50" height="50" item-start *ngIf="item.fileName == \'null\'">\n                    <p *ngIf="item.needReply && item.n2sStatus!=6" class="list-box-txt fw700" [innerHTML]="item.title"></p>\n                    <p *ngIf="!item.needReply || item.n2sStatus==6" class="fw300 list-box-txt" [innerHTML]="item.title"></p>\n                    <p class="list-box-time">{{item.publishDate}}<ion-icon name="attach" *ngIf="item.attachment != \'\' && item.attachment != \'null\'" class="m-l-xs"></ion-icon>\n                        <span class="signed">{{\'noticePage.signed\' | translate}}</span>\n                    </p>\n    	  		</ion-item>\n                <ion-item-options>\n                    <button ion-button color="danger" (click)="delete(item.id, this.status)">{{\'global.delete\' | translate}}</button>\n                </ion-item-options>\n            </ion-item-sliding>\n            <ion-infinite-scroll (ionInfinite)="loadMore($event)" *ngIf="unsignedPage < signedTotalPage">\n                <ion-infinite-scroll-content loadingSpinner="bubbles" loadingText="{{\'global.loadMore\' | translate}}"></ion-infinite-scroll-content>\n            </ion-infinite-scroll>\n    	</ion-list>\n  	</div>\n</ion-content>\n'/*ion-inline-end:"/Users/joe/git-source/schoolapp/app/gitee/schoolapp/src/pages/notice/notice.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_2__providers_notice_notice__["a" /* NoticeProvider */],
            __WEBPACK_IMPORTED_MODULE_4__libs_util__["a" /* Util */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["Platform"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
            __WEBPACK_IMPORTED_MODULE_3__providers_payment_payment__["a" /* PaymentProvider */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["Events"],
            __WEBPACK_IMPORTED_MODULE_0__angular_core__["ChangeDetectorRef"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["MenuController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["ViewController"],
            __WEBPACK_IMPORTED_MODULE_5__libs_file__["a" /* FileAction */]])
    ], NoticePage);
    return NoticePage;
}());

//# sourceMappingURL=notice.js.map

/***/ })

});
//# sourceMappingURL=10.js.map