webpackJsonp([12],{

/***/ 652:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "NewsPageModule", function() { return NewsPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(11);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__news__ = __webpack_require__(683);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__ngx_translate_core__ = __webpack_require__(52);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};




var NewsPageModule = (function () {
    function NewsPageModule() {
    }
    NewsPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__news__["a" /* NewsPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__news__["a" /* NewsPage */]),
                __WEBPACK_IMPORTED_MODULE_3__ngx_translate_core__["b" /* TranslateModule */].forChild()
            ],
        })
    ], NewsPageModule);
    return NewsPageModule;
}());

//# sourceMappingURL=news.module.js.map

/***/ }),

/***/ 683:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return NewsPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(11);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__libs_util__ = __webpack_require__(13);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_news_news__ = __webpack_require__(94);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__providers_badge_badge__ = __webpack_require__(69);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};





var NewsPage = (function () {
    function NewsPage(news, util, platform, nav, menu, view, badge) {
        this.news = news;
        this.util = util;
        this.platform = platform;
        this.nav = nav;
        this.menu = menu;
        this.view = view;
        this.badge = badge;
        this.statusList = ['all', 'student', 'parents'];
        this.allPage = 1;
        this.studentPage = 1;
        this.parentsPage = 1;
        this.status = this.statusList[0];
    }
    NewsPage.prototype.ionViewDidLoad = function () {
        this.getRemoteData();
    };
    NewsPage.prototype.ionViewDidEnter = function () {
        this.news.setRead();
        this.badge.setValue('news', 0);
    };
    NewsPage.prototype.getItems = function (status) {
        var _this = this;
        this.platform.ready().then(function () {
            // 总页数
            var currPage;
            _this.news.getTotalPage(status).then(function (ret) {
                if (status == 'all') {
                    _this.allTotalPage = ret;
                    currPage = _this.allPage;
                }
                else if (status == 'student') {
                    _this.studentTotalPage = ret;
                    currPage = _this.studentPage;
                }
                else if (status == 'parents') {
                    _this.parentsTotalPage = ret;
                    currPage = _this.parentsPage;
                }
            });
            _this.news.getItemsFromLocalDb(currPage, status).then(function (ret) {
                // console.log('ret =====> ' + JSON.stringify(ret));
                if (status == 'all')
                    _this.allItems = ret;
                else if (status == 'student')
                    _this.studentItems = ret;
                else if (status == 'parents')
                    _this.parentsItems = ret;
            });
        });
    };
    NewsPage.prototype.getRemoteData = function () {
        var _this = this;
        this.util.showLoading();
        // 从服务器更新数据
        this.platform.ready().then(function () {
            var studentId = _this.util.getCurrentStudentId();
            var schoolId = _this.util.getCurrentSchoolId(studentId);
            _this.news.getLatestFromRemoteDb(schoolId, studentId);
            if (_this.status == 'all')
                _this.allPage = 1;
            else if (_this.status == 'student')
                _this.studentPage = 1;
            else if (_this.status == 'parents')
                _this.parentsPage = 1;
            _this.getItems('all');
            _this.getItems('student');
            _this.getItems('parents');
            _this.util.hideLoading();
        });
    };
    NewsPage.prototype.refresh = function (refresher) {
        var _this = this;
        setTimeout(function () {
            _this.getRemoteData();
            refresher.complete();
        }, 1000);
    };
    NewsPage.prototype.loadMore = function (infiniteScroll) {
        var _this = this;
        setTimeout(function () {
            _this.platform.ready().then(function () {
                var currPage;
                if (_this.status == 'all') {
                    _this.allPage += 1;
                    currPage = _this.allPage;
                }
                else if (_this.status == 'student') {
                    _this.studentPage += 1;
                    currPage = _this.studentPage;
                }
                else if (_this.status == 'parents') {
                    _this.parentsPage += 1;
                    currPage = _this.parentsPage;
                }
                _this.news.getItemsFromLocalDb(currPage).then(function (ret) {
                    console.log('allItems =====> ' + JSON.stringify(ret));
                    for (var i in ret) {
                        if (_this.status == 'all')
                            _this.allItems.push(ret[i]);
                        else if (_this.status == 'student')
                            _this.studentItems.push(ret[i]);
                        else if (_this.status == 'parents')
                            _this.parentsItems.push(ret[i]);
                    }
                });
            });
            infiniteScroll.complete();
        }, 1000);
    };
    NewsPage.prototype.swipeEvent = function (event) {
        //向左滑
        if (event.direction == 2) {
            if (this.statusList.indexOf(this.status) < 2) {
                this.status = this.statusList[this.statusList.indexOf(this.status) + 1];
            }
        }
        //向右滑
        if (event.direction == 4) {
            if (this.statusList.indexOf(this.status) > 0) {
                this.status = this.statusList[this.statusList.indexOf(this.status) - 1];
            }
        }
    };
    NewsPage.prototype.openDetailPage = function (id) {
        if (id) {
            this.nav.push('NewsDetailPage', { id: id });
        }
    };
    NewsPage.prototype.menuToggle = function () {
        this.menu.open();
    };
    NewsPage.prototype.delete = function (id, status) {
        var _this = this;
        this.news.del(id);
        this.nav.push(this.nav.getActive().component).then(function () {
            var index = _this.view.index;
            _this.nav.remove(index);
            _this.status = status;
        });
    };
    NewsPage.prototype.openGallery = function (list, index) {
        var app = this.util.getStorage('app');
        var remoteFileUrl = app.uploadDirUrl;
        var imageList = JSON.parse(list);
        var photos = [];
        for (var key in imageList) {
            if (typeof (photos[key]) == 'undefined')
                photos[key] = {};
            // 本地图片
            photos[key].url = remoteFileUrl + imageList[key].filePath;
            photos[key].type = imageList[key].fileType;
        }
        this.util.openGallery(photos, index);
    };
    NewsPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-news',template:/*ion-inline-start:"/Users/joe/git-source/schoolapp/app/gitee/schoolapp/src/pages/news/news.html"*/'<ion-header>\n    <ion-navbar color="dark">\n        <button ion-button menuToggle>\n            <ion-icon name="menu" color="white"></ion-icon>\n        </button>\n        <ion-buttons start>\n            <button ion-button class="search-btn" (click)="menuToggle()">\n                <ion-icon name="menu" color="white"></ion-icon>\n            </button>\n        </ion-buttons>\n        <ion-title>\n            <span ion-text color="white" class="fw500">{{\'sideMenu.news\' | translate}}</span>\n        </ion-title>\n    </ion-navbar>\n\n\n    <ion-toolbar no-border-bottom no-border-top>\n    	<ion-segment [(ngModel)]="status" color="dark">\n    		<ion-segment-button value="all">{{\'newsPage.all\' | translate}}</ion-segment-button>\n    		<ion-segment-button value="student">{{\'newsPage.studentActivities\' | translate}}</ion-segment-button>\n    		<ion-segment-button value="parents">{{\'newsPage.parentsNews\' | translate}}</ion-segment-button>\n  		</ion-segment>\n  	</ion-toolbar>\n</ion-header>\n\n<ion-content>\n    <ion-refresher (ionRefresh)="refresh($event)">\n        <ion-refresher-content\n            pullingIcon="arrow-round-down"\n            pullingText="{{\'global.pullRefresh\' | translate}}"\n            refreshingText="{{\'global.refreshing\' | translate}}">\n        </ion-refresher-content>\n    </ion-refresher>\n\n	 <div [ngSwitch]="status">\n  		<ion-list *ngSwitchCase="\'all\'" class="list-box">\n            <ion-item-sliding *ngFor="let item of allItems">\n    	  		<ion-item>\n                    <!-- <ion-icon name="volume-up" item-start class="list-box-icon"></ion-icon> -->\n                    <p *ngIf="item.attachmentUrl"><img src="{{item.attachmentUrl}}" (click)="openGallery(item.attachments, 0, item.id)"></p>\n                    <p class="fw300 list-box-txt" [innerHTML]="item.title" (click)="openDetailPage(item.id)"></p>\n    	  	        <p class="list-box-time">{{item.publishDate}}\n    	  	        	<ion-icon name="attach" *ngIf="item.attachment != \'\' && item.attachment != \'null\'" class="m-l-xs"></ion-icon>\n    	  	        </p>\n    	  		</ion-item>\n                <ion-item-options>\n                    <button ion-button color="danger" (click)="delete(item.id, this.status)">{{\'global.delete\' | translate}}</button>\n                </ion-item-options>\n            </ion-item-sliding>\n            <ion-infinite-scroll (ionInfinite)="loadMore($event)" *ngIf="allPage < allTotalPage">\n                <ion-infinite-scroll-content loadingSpinner="bubbles" loadingText="{{\'global.loadMore\' | translate}}"></ion-infinite-scroll-content>\n            </ion-infinite-scroll>\n		</ion-list>\n\n    	<ion-list *ngSwitchCase="\'student\'" class="list-box">\n            <ion-item-sliding *ngFor="let item of studentItems">\n          		<ion-item (click)="openDetailPage(item.id)">\n                    <!-- <ion-icon name="volume-up" item-start class="list-box-icon"></ion-icon> -->\n                    <p *ngIf="item.attachmentUrl"><img src="{{item.attachmentUrl}}" (click)="openGallery(item.attachments, 0, item.id)"></p>\n                    <p class="fw300 list-box-txt" [innerHTML]="item.title" (click)="openDetailPage(item.id)"></p>\n    	  	        <p class="list-box-time">{{item.publishDate}}\n    	  	        	<ion-icon name="attach" *ngIf="item.attachment != \'\' && item.attachment != \'null\'" class="m-l-xs"></ion-icon>\n    	  	        </p>\n    	  		</ion-item>\n                <ion-item-options>\n                    <button ion-button color="danger" (click)="delete(item.id, this.status)">{{\'global.delete\' | translate}}</button>\n                </ion-item-options>\n            </ion-item-sliding>\n            <ion-infinite-scroll (ionInfinite)="loadMore($event)" *ngIf="studentPage < studentTotalPage">\n                <ion-infinite-scroll-content loadingSpinner="bubbles" loadingText="{{\'global.loadMore\' | translate}}"></ion-infinite-scroll-content>\n            </ion-infinite-scroll>\n    	</ion-list>\n\n    	<ion-list *ngSwitchCase="\'parents\'" class="list-box">\n            <ion-item-sliding *ngFor="let item of parentsItems">\n          		<ion-item (click)="openDetailPage(item.id)">\n                    <!-- <ion-icon name="volume-up" item-start class="list-box-icon"></ion-icon> -->\n                    <p *ngIf="item.attachmentUrl"><img src="{{item.attachmentUrl}}" (click)="openGallery(item.attachments, 0, item.id)"></p>\n                    <p class="fw300 list-box-txt" [innerHTML]="item.title" (click)="openDetailPage(item.id)"></p>\n    	  	        <p class="list-box-time">{{item.publishDate}}\n    	  	        	<ion-icon name="attach" *ngIf="item.attachment != \'\' && item.attachment != \'null\'" class="m-l-xs"></ion-icon>\n    	  	        </p>\n    	  		</ion-item>\n                <ion-item-options>\n                    <button ion-button color="danger" (click)="delete(item.id, this.status)">{{\'global.delete\' | translate}}</button>\n                </ion-item-options>\n            </ion-item-sliding>\n            <ion-infinite-scroll (ionInfinite)="loadMore($event)" *ngIf="parentsPage < parentsTotalPage">\n                <ion-infinite-scroll-content loadingSpinner="bubbles" loadingText="{{\'global.loadMore\' | translate}}"></ion-infinite-scroll-content>\n            </ion-infinite-scroll>\n    	</ion-list>\n  	</div>\n</ion-content>\n'/*ion-inline-end:"/Users/joe/git-source/schoolapp/app/gitee/schoolapp/src/pages/news/news.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_3__providers_news_news__["a" /* NewsProvider */],
            __WEBPACK_IMPORTED_MODULE_2__libs_util__["a" /* Util */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["Platform"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["MenuController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["ViewController"],
            __WEBPACK_IMPORTED_MODULE_4__providers_badge_badge__["a" /* BadgeProvider */]])
    ], NewsPage);
    return NewsPage;
}());

//# sourceMappingURL=news.js.map

/***/ })

});
//# sourceMappingURL=12.js.map