webpackJsonp([13],{

/***/ 651:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "NewsDetailPageModule", function() { return NewsDetailPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(11);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__news_detail__ = __webpack_require__(682);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__ngx_translate_core__ = __webpack_require__(52);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};




var NewsDetailPageModule = (function () {
    function NewsDetailPageModule() {
    }
    NewsDetailPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__news_detail__["a" /* NewsDetailPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__news_detail__["a" /* NewsDetailPage */]),
                __WEBPACK_IMPORTED_MODULE_3__ngx_translate_core__["b" /* TranslateModule */].forChild()
            ],
        })
    ], NewsDetailPageModule);
    return NewsDetailPageModule;
}());

//# sourceMappingURL=news-detail.module.js.map

/***/ }),

/***/ 682:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return NewsDetailPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(11);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_news_news__ = __webpack_require__(94);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_bookmark_bookmark__ = __webpack_require__(433);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__libs_util__ = __webpack_require__(13);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__angular_platform_browser__ = __webpack_require__(35);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__libs_file__ = __webpack_require__(68);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};







var NewsDetailPage = (function () {
    function NewsDetailPage(news, navParams, bookmark, util, platform, sanitizer, file) {
        this.news = news;
        this.navParams = navParams;
        this.bookmark = bookmark;
        this.util = util;
        this.platform = platform;
        this.sanitizer = sanitizer;
        this.file = file;
        this.attachmentsList = [];
        this.id = this.navParams.get('id');
        this.uploadUrl = this.util.getStorage('app').uploadDirUrl;
    }
    NewsDetailPage.prototype.ionViewDidLoad = function () {
        // 判断是否从推送过来的
        var source = this.navParams.get('source');
        if (source == 'push') {
            var studentId = this.util.getCurrentStudentId();
            var schoolId = this.util.getCurrentSchoolId(studentId);
            this.news.getLatestFromRemoteDb(schoolId, studentId, source);
            this.getItem(this.id);
        }
        else {
            this.getItem(this.id);
        }
    };
    NewsDetailPage.prototype.getItem = function (id) {
        var _this = this;
        this.util.showLoading();
        this.platform.ready().then(function () {
            _this.news.getItem(id).then(function (ret) {
                ret[0].attachments = JSON.parse(ret[0].attachments);
                ret[0].content = _this.sanitizer.bypassSecurityTrustHtml(ret[0].content);
                var _loop_1 = function (key) {
                    if (ret[0].attachments[key].fileType == 'pdf') {
                        var filePath = ret[0].attachments[key].filePath;
                        var path = filePath.substring(0, filePath.lastIndexOf('/') + 1);
                        var fileName_1 = filePath.substring(filePath.lastIndexOf('/') + 1);
                        _this.file.download(ret[0].attachments[key].fileUrl, fileName_1).then(function (res) {
                            _this.attachmentsList.push({
                                fileType: ret[0].attachments[key].fileType, localUrl: _this.file.getDataDirectory().replace(/^file:\/\//, '') + fileName_1,
                                url: ret[0].attachments[key].fileUrl
                            });
                        }, function (error) {
                            console.error('download error:' + JSON.stringify(error));
                        });
                    }
                    else {
                        _this.attachmentsList.push({
                            fileType: ret[0].attachments[key].fileType,
                            localUrl: ret[0].attachments[key].fileUrl,
                            url: ret[0].attachments[key].fileUrl
                        });
                    }
                };
                for (var key in ret[0].attachments) {
                    _loop_1(key);
                }
                _this.items = ret;
                _this.util.hideLoading();
            });
            // 检查是否在书签列表
            _this.bookmark.check('news', _this.id).then(function (ret) {
                if (ret) {
                    _this.bookmarked = true;
                }
                else {
                    _this.bookmarked = false;
                }
            });
        });
    };
    NewsDetailPage.prototype.addToBookmark = function (id) {
        if (this.bookmarked) {
            this.bookmark.del('news', id);
            this.bookmarked = false;
        }
        else {
            this.bookmark.add('news', id);
            this.bookmarked = true;
        }
    };
    NewsDetailPage.prototype.openGallery = function (imageList, index) {
        var photos = [];
        for (var key in imageList) {
            if (typeof (photos[key]) == 'undefined')
                photos[key] = {};
            // 本地图片
            photos[key].url = imageList[key].localUrl;
            photos[key].type = imageList[key].fileType;
        }
        this.util.openGallery(photos, index);
    };
    NewsDetailPage.prototype.openPDF = function (obj, id) {
        this.util.showLoading();
        this.file.open(obj.localUrl, obj.url);
        this.util.hideLoading();
    };
    NewsDetailPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-news-detail',template:/*ion-inline-start:"/Users/joe/git-source/schoolapp/app/gitee/schoolapp/src/pages/news/news-detail.html"*/'<ion-header>\n	<ion-navbar color="dark">\n        <button ion-button menuToggle>\n            <ion-icon name="menu" color="white"></ion-icon>\n        </button>\n        <ion-title>\n            <span ion-text color="white" class="fw500">{{\'newsPage.newsDetail\' | translate}}</span>\n        </ion-title>\n        <ion-buttons end>\n            <button ion-button class="search-btn" (click)="addToBookmark(id)">\n                <ion-icon name="{{bookmarked ? \'star\' : \'star-outline\'}}" color="white"></ion-icon>\n            </button>\n        </ion-buttons>\n    </ion-navbar>\n</ion-header>\n\n<ion-content>\n	<div class="box" *ngFor="let item of items">\n		<div id="title" class="box-row box-title"><ion-icon name="volume-up" class="list-box-icon"></ion-icon> <b>{{item.title}}</b></div>\n		<div id="info" class="box-row">\n			<ion-row>\n				<ion-col col-3 text-right ><b [translate]="\'noticePage.publishDate\'"></b></ion-col><ion-col col-sm-3>{{item.publishDate}}</ion-col>\n			</ion-row>\n			<ion-row>\n				<ion-col col-3 text-right><b [translate]="\'noticePage.from\'"></b></ion-col><ion-col col-sm-3>{{item.sender}}</ion-col>\n			</ion-row>\n		</div>\n		<div id="content" [innerHTML]="item.content" class="box-content" padding-left padding-right></div>\n\n		<div id="attachmentsList">\n			<div class="box-row box-title" *ngIf="item.attachments.length > 0">\n				<ion-icon name="attach" class="list-box-icon"></ion-icon> {{\'noticePage.totalAttachments\' | translate:{\'total\':item.attachments.length} }}\n			</div>\n			<div class="attachments-list" padding-left>\n				<div *ngFor="let attach of attachmentsList; let i = index">\n					<span *ngIf="attach.fileType == \'img\'">\n						<img src="{{attach.localUrl}}" (click)="openGallery(attachmentsList, i, item.id)"/>\n					</span>\n					<span *ngIf="attach.fileType == \'pdf\'">\n						<img src="assets/imgs/icon_pdf.png" (click)="openPDF(attach, item.id)" style="border: none;"/>\n					</span>\n				</div>\n			</div>\n		</div>\n	</div>\n</ion-content>\n'/*ion-inline-end:"/Users/joe/git-source/schoolapp/app/gitee/schoolapp/src/pages/news/news-detail.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_2__providers_news_news__["a" /* NewsProvider */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_3__providers_bookmark_bookmark__["a" /* BookmarkProvider */],
            __WEBPACK_IMPORTED_MODULE_4__libs_util__["a" /* Util */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["Platform"],
            __WEBPACK_IMPORTED_MODULE_5__angular_platform_browser__["c" /* DomSanitizer */],
            __WEBPACK_IMPORTED_MODULE_6__libs_file__["a" /* FileAction */]])
    ], NewsDetailPage);
    return NewsDetailPage;
}());

//# sourceMappingURL=news-detail.js.map

/***/ })

});
//# sourceMappingURL=13.js.map