webpackJsonp([15],{

/***/ 649:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "HomePageModule", function() { return HomePageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(11);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__message_detail__ = __webpack_require__(680);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__ngx_translate_core__ = __webpack_require__(52);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};




var HomePageModule = (function () {
    function HomePageModule() {
    }
    HomePageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__message_detail__["a" /* MessageDetailPage */]
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__message_detail__["a" /* MessageDetailPage */]),
                __WEBPACK_IMPORTED_MODULE_3__ngx_translate_core__["b" /* TranslateModule */].forChild()
            ],
        })
    ], HomePageModule);
    return HomePageModule;
}());

//# sourceMappingURL=message-detail.module.js.map

/***/ }),

/***/ 680:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return MessageDetailPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(11);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_message_message__ = __webpack_require__(91);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_bookmark_bookmark__ = __webpack_require__(433);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__libs_util__ = __webpack_require__(13);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__libs_file__ = __webpack_require__(68);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};





// import { PdfViewerPage } from './../pdf-viewer/pdf-viewer';

var MessageDetailPage = (function () {
    function MessageDetailPage(message, navParams, util, platform, bookmark, nav, events, file
        // private modal: ModalController
    ) {
        this.message = message;
        this.navParams = navParams;
        this.util = util;
        this.platform = platform;
        this.bookmark = bookmark;
        this.nav = nav;
        this.events = events;
        this.file = file;
        this.attachmentsList = [];
        this.platformName = '';
        this.uploadUrl = this.util.getStorage('app').uploadDirUrl;
        this.id = this.navParams.get('id');
    }
    MessageDetailPage.prototype.openGallery = function (imageList, index, id) {
        var photos = [];
        var i = 0, j = 0, jumpTo = 0;
        for (var key in imageList) {
            if (imageList[key].fileType == 'img') {
                if (typeof (photos[j]) == 'undefined')
                    photos[j] = {};
                // 远程图片 OR 本地图片
                photos[j].url = imageList[key].localUrl ? imageList[key].localUrl : imageList[key].url;
                photos[j].type = imageList[key].fileType;
                if (i == index) {
                    jumpTo = j;
                }
                j++;
            }
            i++;
        }
        this.util.openGallery(photos, jumpTo);
    };
    MessageDetailPage.prototype.ionViewDidLoad = function () {
        var _this = this;
        this.util.showLoading();
        if (this.id) {
            // 判断是否存在
            this.message.getItem(this.id).then(function (ret) {
                var data = ret[0];
                if (data != undefined) {
                    _this.getItem(_this.id);
                }
                else {
                    console.log('MessageDetailPage ionViewDidLoad message do not exist =====> ' + _this.id);
                    _this.message.getOneFromRemoteDb(_this.id).subscribe(function (res) {
                        var data = res.json();
                        console.log('MessageDetailPage getOneFromRemoteDb data  ========> ' + JSON.stringify(data));
                        if (data.code == 1) {
                            _this.showDetail(data.rowCopy);
                            _this.message.saveOne(data.row);
                        }
                        else {
                            _this.util.hideLoading();
                            _this.nav.push('MessagePage');
                        }
                    });
                }
            });
            // 检查是否在书签列表
            this.bookmark.check('message', this.id).then(function (ret) {
                if (ret) {
                    _this.bookmarked = true;
                }
                else {
                    _this.bookmarked = false;
                }
            });
        }
        this.platformName = this.util.getPlatform();
    };
    MessageDetailPage.prototype.getItem = function (id) {
        var _this = this;
        this.platform.ready().then(function () {
            _this.message.getItem(id).then(function (ret) {
                _this.showDetail(ret[0]);
            });
        });
    };
    MessageDetailPage.prototype.showDetail = function (data) {
        var _this = this;
        console.log("showDetail message detail ", data);
        var currentStudentId = this.util.getCurrentStudentId();
        if (currentStudentId != data.studentId) {
            this.util.setCurrentStudentId(data.studentId);
            this.events.publish('switchStudent', data.studentId);
        }
        try {
            var p = JSON.parse(data.attachments);
            data.attachments = p;
        }
        catch (e) {
            data.attachments = JSON.parse("[]");
            if (e instanceof SyntaxError) {
                console.log("json SyntaxError " + JSON.stringify(e));
            }
            else {
                console.log("json Error " + e);
            }
        }
        var _loop_1 = function (key) {
            var fileName = data.attachments[key].filePath.substring(data.attachments[key].filePath.lastIndexOf('/') + 1);
            var attach = {
                fileType: data.attachments[key].fileType,
                localUrl: '',
                url: data.attachments[key].fileUrl,
                fileName: data.attachments[key].fileName
            };
            if (attach.fileType == 'pdf') {
                this_1.file.checkFile('', fileName).then(function (res) {
                    //attach.localUrl = this.file.getDataDirectory().replace(/^file:\/\//, '') + fileName;
                    attach.localUrl = _this.file.getDataDirectory() + fileName;
                    console.log('set attach.localUrl： ' + _this.file.getDataDirectory() + fileName);
                }).catch(function (err) {
                    _this.file.download(data.attachments[key].fileUrl, fileName)
                        .then(function (res) {
                        console.log('res.nativeURL: ' + JSON.stringify(res));
                        attach.localUrl = _this.file.getDataDirectory().replace(/^file:\/\//, '') + fileName;
                    }, function (error) {
                        console.error('download error:' + JSON.stringify(error));
                    }).catch(function (err) {
                        console.log('catch download error:： ' + err + ' ' + JSON.stringify(err));
                    });
                });
            }
            else {
                attach.localUrl = data.attachments[key].fileUrl;
            }
            this_1.attachmentsList.push(attach);
        };
        var this_1 = this;
        // console.log("showDetail message detail 2 ", data );
        for (var key in data.attachments) {
            _loop_1(key);
        }
        console.log('this.attachmentsList: ' + JSON.stringify(this.attachmentsList));
        this.items = [data];
        this.util.hideLoading();
        if (data.m2sStatus == 0) {
            this.message.setRead(data.id);
        }
    };
    MessageDetailPage.prototype.addToBookmark = function (id) {
        if (this.bookmarked) {
            this.bookmark.del('message', id);
            this.bookmarked = false;
        }
        else {
            this.bookmark.add('message', id);
            this.bookmarked = true;
        }
    };
    MessageDetailPage.prototype.openPDF = function (obj, id) {
        this.file.open(obj.localUrl, obj.url);
    };
    MessageDetailPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-message-detail',template:/*ion-inline-start:"/Users/joe/git-source/schoolapp/app/gitee/schoolapp/src/pages/message/message-detail.html"*/'<ion-header>\n    <ion-navbar color="dark">\n        <ion-title>\n            <span ion-text color="white" class="fw500">{{\'messagePage.messageDetail\' | translate}}</span>\n        </ion-title>\n        <ion-buttons end>\n            <button ion-button class="search-btn" (click)="addToBookmark(id)">\n                <ion-icon name="{{bookmarked ? \'star\' : \'star-outline\'}}" color="white"></ion-icon>\n            </button>\n        </ion-buttons>\n    </ion-navbar>\n</ion-header>\n\n<ion-content>\n	<div *ngFor="let item of items" class="box">\n		<div class="box-row">\n			<ion-row>\n				<ion-col col-3 text-right ><b [translate]="\'noticePage.publishDate\'">:</b></ion-col><ion-col col-sm-3>{{item.publishDate}}</ion-col>\n			</ion-row>\n			<ion-row>\n				<ion-col col-3 text-right><b [translate]="\'noticePage.from\'">:</b></ion-col><ion-col col-sm-3>{{item.sender}}</ion-col>\n			</ion-row>\n		</div>\n        <div padding [innerHTML]="item.content" class="box-content"></div>\n        <div id="attachmentsList">\n			<div class="box-row box-title" *ngIf="item.attachments.length > 0">\n				<ion-icon name="attach" class="list-box-icon"></ion-icon> {{\'noticePage.totalAttachments\' | translate:{\'total\':item.attachments.length} }}\n			</div>\n			<div class="attachments-list" padding-left>\n				<div *ngFor="let attach of attachmentsList; let i = index">\n					<span *ngIf="attach.fileType == \'img\'">\n						<img src="{{attach.localUrl? attach.localUrl: attach.url}}" (click)="openGallery(attachmentsList, i, item.id)"/>\n					</span>\n					<span *ngIf="attach.fileType == \'pdf\'">\n					<ion-item  text-wrap>\n					<ion-row>\n                        <ion-col col-6>\n                        {{\'global.openInApp\' | translate}} <ion-icon name="arrow-round-forward"></ion-icon><BR>\n                        <img src="assets/imgs/icon_pdf.png" (click)="openPDF(attach, item.id)" style="border: none;"  item-start />\n                        </ion-col>\n                        <ion-col col-6 *ngIf="platformName == \'android\'">\n                            <a href="{{attach.url}}" style="text-decoration: none;" >\n                            {{\'global.openInBrowser\' | translate}} <ion-icon name="arrow-round-forward"></ion-icon><BR>\n                            {{attach.fileName}}\n                            </a>\n                        </ion-col>\n    			    </ion-row>\n					</ion-item>\n					</span>\n				</div>\n			</div>\n		</div>\n\n	</div>\n</ion-content>\n'/*ion-inline-end:"/Users/joe/git-source/schoolapp/app/gitee/schoolapp/src/pages/message/message-detail.html"*/,
        }),
        __metadata("design:paramtypes", [typeof (_a = typeof __WEBPACK_IMPORTED_MODULE_2__providers_message_message__["a" /* MessageProvider */] !== "undefined" && __WEBPACK_IMPORTED_MODULE_2__providers_message_message__["a" /* MessageProvider */]) === "function" && _a || Object, typeof (_b = typeof __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"] !== "undefined" && __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"]) === "function" && _b || Object, typeof (_c = typeof __WEBPACK_IMPORTED_MODULE_4__libs_util__["a" /* Util */] !== "undefined" && __WEBPACK_IMPORTED_MODULE_4__libs_util__["a" /* Util */]) === "function" && _c || Object, typeof (_d = typeof __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["Platform"] !== "undefined" && __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["Platform"]) === "function" && _d || Object, typeof (_e = typeof __WEBPACK_IMPORTED_MODULE_3__providers_bookmark_bookmark__["a" /* BookmarkProvider */] !== "undefined" && __WEBPACK_IMPORTED_MODULE_3__providers_bookmark_bookmark__["a" /* BookmarkProvider */]) === "function" && _e || Object, typeof (_f = typeof __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"] !== "undefined" && __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"]) === "function" && _f || Object, typeof (_g = typeof __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["Events"] !== "undefined" && __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["Events"]) === "function" && _g || Object, typeof (_h = typeof __WEBPACK_IMPORTED_MODULE_5__libs_file__["a" /* FileAction */] !== "undefined" && __WEBPACK_IMPORTED_MODULE_5__libs_file__["a" /* FileAction */]) === "function" && _h || Object])
    ], MessageDetailPage);
    return MessageDetailPage;
    var _a, _b, _c, _d, _e, _f, _g, _h;
}());

//# sourceMappingURL=message-detail.js.map

/***/ })

});
//# sourceMappingURL=15.js.map