webpackJsonp([19],{

/***/ 643:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "FilePageModule", function() { return FilePageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(11);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__file__ = __webpack_require__(674);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__ngx_translate_core__ = __webpack_require__(52);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};




var FilePageModule = (function () {
    function FilePageModule() {
    }
    FilePageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__file__["a" /* FilePage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__file__["a" /* FilePage */]),
                __WEBPACK_IMPORTED_MODULE_3__ngx_translate_core__["b" /* TranslateModule */].forChild()
            ],
        })
    ], FilePageModule);
    return FilePageModule;
}());

//# sourceMappingURL=file.module.js.map

/***/ }),

/***/ 674:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return FilePage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(11);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_file_file__ = __webpack_require__(168);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_user_user__ = __webpack_require__(53);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__libs_util__ = __webpack_require__(13);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__ngx_translate_core__ = __webpack_require__(52);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6_moment__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6_moment___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_6_moment__);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};







var FilePage = (function () {
    function FilePage(util, platform, nav, file, user, actionSheet, translate, menu) {
        this.util = util;
        this.platform = platform;
        this.nav = nav;
        this.file = file;
        this.user = user;
        this.actionSheet = actionSheet;
        this.translate = translate;
        this.menu = menu;
        this.page = 1;
        this.currentStudentId = this.user.getCurrentStudentId();
        this.allItems = [];
        this.groups = [];
    }
    FilePage.prototype.switchGroup = function (g) {
        if (g == 0) {
            this.groupId = null;
        }
        else {
            this.groupId = g;
        }
        this.getItems();
    };
    FilePage.prototype.menuToggle = function () {
        this.menu.open();
    };
    FilePage.prototype.openPDF = function (item) {
        this.file.open(item.localUrl, item.fileUrl);
    };
    FilePage.prototype.openGallery = function (item) {
        var photos = [];
        var i = 0, j = 0, jumpTo = 0;
        for (var key in this.allItems) {
            if (this.allItems[key].fileType == 'img') {
                if (typeof (photos[j]) == 'undefined')
                    photos[j] = {};
                // 本地图片
                photos[j].url = this.allItems[key].localUrl;
                photos[j].type = 'img';
                if (item.id == this.allItems[key].id) {
                    jumpTo = j;
                    console.log('jumpTo=' + jumpTo);
                }
                j++;
            }
            i++;
        }
        this.util.openGallery(photos, jumpTo);
    };
    FilePage.prototype.ionViewDidLoad = function () {
        /* if(!this.util.hasNetwork())
            this.getLocalData();
        else
            this.getRemoteData(); */
        this.getLocalData();
        var currentStudentId = this.util.getCurrentStudentId();
        var students = this.util.getStorage('studentDetail');
        for (var i in students) {
            if (currentStudentId == students[i].id) {
                this.groups = students[i].groups;
                console.log("this.groups =====> " + JSON.stringify(this.groups));
                break;
            }
        }
    };
    FilePage.prototype.getLocalData = function () {
        //this.util.showLoading();
        // 全部
        this.getItems();
        //this.util.hideLoading();
    };
    FilePage.prototype.getItems = function () {
        var _this = this;
        this.platform.ready().then(function () {
            _this.file.getTotalPage().then(function (ret) {
                _this.totalPage = ret;
            });
            _this.file.getItemsFromLocalDb(_this.currentStudentId, _this.page, _this.groupId).then(function (ret) {
                var _loop_1 = function (i) {
                    var day = __WEBPACK_IMPORTED_MODULE_6_moment__["unix"](ret[i].updated);
                    ret[i].fromNow = day.fromNow();
                    if (ret[i].fileType == 'pdf') {
                        var ary = ret[i].filePath.split("/");
                        var fileName_1 = ary.pop();
                        var attachmentPath = ary.join("/");
                        _this.file.checkFile('', fileName_1).then(function (res) {
                            var nativeURL = _this.file.getDataDirectory() + fileName_1;
                            ret[i]['localUrl'] = nativeURL.replace(/^file:\/\//, ''),
                                console.log('this.file.getDataDirectory() = ' + _this.file.getDataDirectory());
                            console.log('localUrl exist = ' + ret[i]['localUrl']);
                            console.log(JSON.stringify(res));
                        }).catch(function (err) {
                            console.log('checkFile error ');
                            console.log(JSON.stringify(err));
                            _this.file.download(ret[i].fileUrl, ret[i].filePath);
                        });
                    }
                    else {
                        ret[i]['localUrl'] = ret[i].fileUrl;
                    }
                    ret[i]['groupName'] = _this.util.getGroupName(ret[i].toGroup);
                };
                for (var i in ret) {
                    _loop_1(i);
                }
                _this.allItems = ret;
            });
        });
    };
    FilePage.prototype.getRemoteData = function () {
        var _this = this;
        this.util.showLoading();
        // 从服务器更新数据
        this.platform.ready().then(function () {
            _this.file.getItemsFromRemoteDb().subscribe(function (res) {
                var data = res.json();
                console.log('getItemsFromRemoteDb data = ' + JSON.stringify(data));
                if (data.code == 1) {
                    if (data.rows.length) {
                        _this.file.saveRecords(data.rows);
                    }
                    // 全部
                    _this.getItems();
                }
                _this.util.hideLoading();
            });
        });
    };
    FilePage.prototype.refresh = function (refresher) {
        var _this = this;
        setTimeout(function () {
            if (!_this.util.hasNetwork())
                _this.util.showToast(_this.translate.instant('global.networkFailed'));
            else
                _this.getRemoteData();
            refresher.complete();
        }, 1000);
    };
    FilePage.prototype.loadMore = function (infiniteScroll) {
        var _this = this;
        setTimeout(function () {
            _this.platform.ready().then(function () {
                _this.page = _this.page + 1;
                _this.file.getItemsFromLocalDb(_this.currentStudentId, _this.page).then(function (ret) {
                    for (var i in ret) {
                        //console.log('loadMore ret = ' + JSON.stringify(ret[i]));	
                        _this.allItems.push(ret[i]);
                    }
                });
            });
            infiniteScroll.complete();
        }, 1000);
    };
    FilePage.prototype.swipeEvent = function (event) {
        console.log('swipeEvent id= ' + JSON.stringify(event));
        /* 		//向左滑
                if(event.direction == 2) {
                    if(this.statusList.indexOf(this.status) < 1) {
                        this.status = this.statusList[this.statusList.indexOf(this.status) + 1];
                    }
                }
                //向右滑
                if(event.direction == 4){
                    if(this.statusList.indexOf(this.status) > 0){
                        this.status = this.statusList[this.statusList.indexOf(this.status) - 1];
                    }
                }
         */ 
    };
    FilePage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-file',template:/*ion-inline-start:"/Users/joe/git-source/schoolapp/app/gitee/schoolapp/src/pages/file/file.html"*/'<ion-header>\n    <ion-navbar color="dark">\n        <button ion-button menuToggle>\n            <ion-icon name="menu" color="white"></ion-icon>\n        </button>\n        <ion-buttons start>\n            <button ion-button class="search-btn" (click)="menuToggle()">\n                <ion-icon name="menu" color="white"></ion-icon>\n            </button>\n        </ion-buttons>\n        <ion-title>\n            <span ion-text color="white" class="fw500">{{\'sideMenu.file\' | translate}}</span>\n        </ion-title>\n    </ion-navbar>\n</ion-header>\n\n<ion-content>\n    <ion-refresher (ionRefresh)="refresh($event, currentMonth)">\n        <ion-refresher-content\n            pullingIcon="arrow-round-down"\n            pullingText="{{\'global.pullRefresh\' | translate}}"\n            refreshingText="{{\'global.refreshing\' | translate}}">\n        </ion-refresher-content>\n    </ion-refresher>\n    <ion-item>\n        <ion-label class="item">{{\'global.group\' | translate}}</ion-label>\n        <ion-select okText="{{\'global.confirm\' | translate}}" interface="action-sheet" cancelText="{{\'global.cancel\' | translate}}" [(ngModel)]="groupId" (ionChange)="switchGroup($event)">\n                <ion-option value=0>{{\'global.all\' | translate}}</ion-option>\n            <ion-option *ngFor="let g of groups" [value]="g.id">{{g.name}}</ion-option>\n  \n        </ion-select>\n    </ion-item>\n\n            <div class="list-no-records" *ngIf="allItems.length == 0"><p class="content text-center">{{\'global.noRecords\' | translate}}</p></div>\n        \n	  		<ion-item *ngFor="let item of allItems"  text-wrap >\n                <span *ngIf="item.fileType == \'pdf\'">\n                    <img src="./assets/imgs/icon_pdf.png" width="50" height="50" item-start (click)="openPDF(item)" >\n                    <p class="fw300 list-box-txt" style="font-size: 18px;line-height: 22px;" (click)="openPDF(item)">{{item.fileName}}</p>\n                </span>\n\n                <span *ngIf="item.fileType == \'img\'">\n                    <img src="{{item.localUrl}}" (click)="openGallery(item)">\n                    <p class="fw300 list-box-txt" style="font-size: 18px;line-height: 22px;">{{item.fileName}}</p>\n                </span>\n                <p>\n                <span class="list-box-time no-margin-top"><ion-icon name="md-time"></ion-icon> {{item.fromNow}}</span>\n                <span class="groupName">{{item.groupName}}</span>\n            </p>\n	  		</ion-item>\n            <ion-infinite-scroll (ionInfinite)="loadMore($event)" *ngIf="page < totalPage">\n                <ion-infinite-scroll-content loadingSpinner="bubbles" loadingText="{{\'global.loadMore\' | translate}}"></ion-infinite-scroll-content>\n            </ion-infinite-scroll>\n		\n  	\n</ion-content>\n'/*ion-inline-end:"/Users/joe/git-source/schoolapp/app/gitee/schoolapp/src/pages/file/file.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_4__libs_util__["a" /* Util */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["Platform"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
            __WEBPACK_IMPORTED_MODULE_2__providers_file_file__["a" /* FileProvider */],
            __WEBPACK_IMPORTED_MODULE_3__providers_user_user__["a" /* UserProvider */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["ActionSheetController"],
            __WEBPACK_IMPORTED_MODULE_5__ngx_translate_core__["c" /* TranslateService */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["MenuController"]])
    ], FilePage);
    return FilePage;
}());

//# sourceMappingURL=file.js.map

/***/ })

});
//# sourceMappingURL=19.js.map