webpackJsonp([21],{

/***/ 642:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "CalendarModalPageModule", function() { return CalendarModalPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(11);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__calendar_modal__ = __webpack_require__(673);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__ngx_translate_core__ = __webpack_require__(52);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4_ion2_calendar__ = __webpack_require__(434);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4_ion2_calendar___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_4_ion2_calendar__);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};





var CalendarModalPageModule = (function () {
    function CalendarModalPageModule() {
    }
    CalendarModalPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__calendar_modal__["a" /* CalendarModalPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__calendar_modal__["a" /* CalendarModalPage */]),
                __WEBPACK_IMPORTED_MODULE_3__ngx_translate_core__["b" /* TranslateModule */].forChild(),
                __WEBPACK_IMPORTED_MODULE_4_ion2_calendar__["CalendarModule"]
            ],
        })
    ], CalendarModalPageModule);
    return CalendarModalPageModule;
}());

//# sourceMappingURL=calendar-modal.module.js.map

/***/ }),

/***/ 673:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return CalendarModalPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(11);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__ngx_translate_core__ = __webpack_require__(52);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_database__ = __webpack_require__(20);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4_moment__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4_moment___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_4_moment__);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};





var CalendarModalPage = (function () {
    function CalendarModalPage(view, platform, db, translate) {
        var _this = this;
        this.view = view;
        this.platform = platform;
        this.db = db;
        this.translate = translate;
        this.currMonth = __WEBPACK_IMPORTED_MODULE_4_moment__().format('YYYY-MM');
        this.platform.ready().then(function () {
            _this.getItemsFromLocalDb(_this.currMonth).then(function (ret) {
                _this.getOptions(ret);
            });
        });
    }
    CalendarModalPage.prototype.close = function () {
        this.view.dismiss(this.currMonth, 'month');
    };
    CalendarModalPage.prototype.daySelect = function (event) {
        var currDay = __WEBPACK_IMPORTED_MODULE_4_moment__(event.time).format('YYYY-MM-DD');
        this.view.dismiss(currDay, 'day');
    };
    CalendarModalPage.prototype.monthChange = function (event) {
        var _this = this;
        this.currMonth = event.newMonth.string.substr(0, 7);
        this.platform.ready().then(function () {
            _this.getItemsFromLocalDb(_this.currMonth).then(function (res) {
                console.log(JSON.stringify(res));
                _this.getOptions(res);
            });
        });
    };
    CalendarModalPage.prototype.getItemsFromLocalDb = function (currMonth) {
        var condition = "substr(sDate, 1, 7) = '" + currMonth + "'";
        return this.db.select('calendar', 'sDate', condition, ' sDate ASC', null, 31);
    };
    CalendarModalPage.prototype.getOptions = function (items) {
        var _daysConfig = [];
        if (items[0]) {
            for (var i in items) {
                var year = parseInt(__WEBPACK_IMPORTED_MODULE_4_moment__(items[i].sDate).format('YYYY'));
                var month = parseInt(__WEBPACK_IMPORTED_MODULE_4_moment__(items[i].sDate).format('M')) - 1;
                var day = parseInt(__WEBPACK_IMPORTED_MODULE_4_moment__(items[i].sDate).format('D'));
                _daysConfig.push({
                    date: new Date(year, month, day),
                    cssClass: 'has-act'
                });
            }
        }
        this.options = {
            from: new Date(2000, 0, 1),
            monthPickerFormat: this.translate.instant('calendarPage.options.monthPickerFormat'),
            monthFormat: this.translate.instant('calendarPage.options.monthFormat'),
            weekdays: this.translate.instant('calendarPage.options.weekdays'),
            daysConfig: _daysConfig
        };
    };
    CalendarModalPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-calendar-modal',template:/*ion-inline-start:"/Users/joe/git-source/schoolapp/app/gitee/schoolapp/src/pages/calendar/calendar-modal.html"*/'<ion-header>\n	<ion-navbar color="dark">\n        <ion-title>\n            <span ion-text color="white" class="fw500">{{\'calendarPage.selectDate\' | translate}}</span>\n        </ion-title>\n        <ion-buttons end>\n            <button ion-button class="search-btn" (click)="close()">\n                <ion-icon name="close" color="white"></ion-icon>\n            </button>\n        </ion-buttons>\n    </ion-navbar>\n</ion-header>\n\n<ion-content>\n	<ion-calendar [(ngModel)]="date"\n		[options]="options"\n		[type]="type"\n		(onSelect)="daySelect($event, \'day\')"\n		(monthChange)="monthChange($event)"\n		[format]="\'YYYY-MM-DD\'">\n	</ion-calendar>\n</ion-content>\n'/*ion-inline-end:"/Users/joe/git-source/schoolapp/app/gitee/schoolapp/src/pages/calendar/calendar-modal.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["ViewController"], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["Platform"], __WEBPACK_IMPORTED_MODULE_3__providers_database__["a" /* DatabaseProvider */], __WEBPACK_IMPORTED_MODULE_2__ngx_translate_core__["c" /* TranslateService */]])
    ], CalendarModalPage);
    return CalendarModalPage;
}());

//# sourceMappingURL=calendar-modal.js.map

/***/ })

});
//# sourceMappingURL=21.js.map