webpackJsonp([5],{

/***/ 658:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "StudentPageModule", function() { return StudentPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(11);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__student__ = __webpack_require__(689);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__ngx_translate_core__ = __webpack_require__(52);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};




var StudentPageModule = (function () {
    function StudentPageModule() {
    }
    StudentPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__student__["a" /* StudentPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__student__["a" /* StudentPage */]),
                __WEBPACK_IMPORTED_MODULE_3__ngx_translate_core__["b" /* TranslateModule */].forChild()
            ],
        })
    ], StudentPageModule);
    return StudentPageModule;
}());

//# sourceMappingURL=student.module.js.map

/***/ }),

/***/ 689:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return StudentPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(11);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__libs_util__ = __webpack_require__(13);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__app_app_component__ = __webpack_require__(436);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};




var StudentPage = (function () {
    function StudentPage(util, nav, myapp) {
        this.util = util;
        this.nav = nav;
        this.myapp = myapp;
        this.items = [];
        this.userDetail = {};
    }
    StudentPage.prototype.ionViewDidLoad = function () {
        this.userDetail = this.util.getStorage('userDetail');
        var currentStudentId = this.util.getCurrentStudentId();
        var students = this.getStudent();
        for (var i in students) {
            if (currentStudentId == students[i].id)
                students[i]['currentClass'] = 'current';
            //console.log("this.items =====> "+ JSON.stringify(students[i]));
            //console.log("school name =====> "+ students[i].school.name);
            var allGroups = [];
            for (var j in students[i].groups) {
                allGroups.push(students[i].groups[j]);
                //students[i]['allGroups'] = students[i]['groups'].join();
            }
            students[i].allGroups = allGroups;
            this.items.push(students[i]);
        }
    };
    StudentPage.prototype.getStudent = function () {
        return this.util.getStorage('studentDetail');
    };
    StudentPage.prototype.setCurrentStudent = function (id) {
        if (this.items.length == 1) {
            this.util.showAlert('notice', '只有一位學生，無須切換');
        }
        else {
            this.util.showLoading();
            this.util.setCurrentStudentId(id);
            var _this_1 = this;
            setTimeout(function () {
                _this_1.myapp.initSideMenuUserInfo();
                _this_1.myapp.initSideMenu();
                _this_1.util.hideLoading();
                _this_1.nav.setRoot('HomePage');
            }, 500);
        }
    };
    StudentPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-student',template:/*ion-inline-start:"/Users/joe/git-source/schoolapp/app/gitee/schoolapp/src/pages/student/student.html"*/'<ion-header>\n	<ion-navbar color="dark">\n        <button ion-button menuToggle>\n            <ion-icon name="menu" color="white"></ion-icon>\n        </button>\n        <ion-title>\n            <span ion-text color="white" class="fw500">{{\'studentPage.student\' | translate}}</span>\n        </ion-title>\n    </ion-navbar>\n</ion-header>\n\n<ion-content>\n			\n	<ion-card >\n		<ion-card-header text-wrap>{{\'global.profile\' | translate}}</ion-card-header>\n		<ion-card-content>\n				<ion-row >\n				<ion-col col-3>\n						<ion-img src="../../assets/imgs/default_avatar.png" class="avatar"></ion-img>\n					</ion-col>\n					<ion-col col-9>	\n						<p style="margin:5px;">{{\'global.name\' | translate}}: {{userDetail.name}}</p>	\n						<p style="margin:5px;">{{\'schoolPage.tel\' | translate}}: {{userDetail.areaCode}} - {{userDetail.tel}}</p>	\n						</ion-col>\n					</ion-row>			  \n		</ion-card-content>\n	</ion-card>\n\n	<ion-card  *ngFor="let item of items">\n		<ion-card-header text-wrap>{{\'sideMenu.student\' | translate}}</ion-card-header>\n		<ion-card-content>\n  		<ion-row class="border-bottom row {{item.currentClass}}" (click)="setCurrentStudent(item.id)">\n    		<ion-col col-3>\n    			<ion-img src="{{item.school.schoolPic}}" class="avatar"></ion-img>\n    		</ion-col>\n    		<ion-col col-9>\n    			<p style="margin:5px;" class="fw500">{{item.school.name}}</p>\n				<p style="margin:5px;">{{item.school.enName}}</p>\n				<p style="margin:5px;">{{\'schoolPage.tel\' | translate}}: {{item.school.tel}}</p>\n				<p style="margin:5px;">{{\'sideMenu.student\' | translate}}: {{item.name}}</p>\n				<p style="margin:5px;">{{\'global.class\' | translate}}: {{item.groupName}}（{{item.classNo}}）</p>\n				<p style="margin:5px;">{{\'global.group\' | translate}}: \n					<span  *ngFor="let g of item.allGroups">{{g.name}}, </span>\n					 </p>\n    		</ion-col>\n		  </ion-row>\n		</ion-card-content>\n	</ion-card>\n\n</ion-content>\n<!-- <ion-grid class="no-padding"></ion-grid> -->\n<!-- <div class="card" ></div> -->'/*ion-inline-end:"/Users/joe/git-source/schoolapp/app/gitee/schoolapp/src/pages/student/student.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_2__libs_util__["a" /* Util */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"], __WEBPACK_IMPORTED_MODULE_3__app_app_component__["a" /* MyApp */]])
    ], StudentPage);
    return StudentPage;
}());

//# sourceMappingURL=student.js.map

/***/ })

});
//# sourceMappingURL=5.js.map