webpackJsonp([6],{

/***/ 656:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "SearchPageModule", function() { return SearchPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(11);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__search__ = __webpack_require__(687);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__ngx_translate_core__ = __webpack_require__(52);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};




var SearchPageModule = (function () {
    function SearchPageModule() {
    }
    SearchPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__search__["a" /* SearchPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__search__["a" /* SearchPage */]),
                __WEBPACK_IMPORTED_MODULE_3__ngx_translate_core__["b" /* TranslateModule */].forChild()
            ],
        })
    ], SearchPageModule);
    return SearchPageModule;
}());

//# sourceMappingURL=search.module.js.map

/***/ }),

/***/ 687:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return SearchPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(11);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_database__ = __webpack_require__(20);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__libs_util__ = __webpack_require__(13);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};




var SearchPage = (function () {
    function SearchPage(nav, db, util) {
        this.nav = nav;
        this.db = db;
        this.util = util;
        this.items = {};
        this.studentId = this.util.getCurrentStudentId();
    }
    SearchPage.prototype.search = function (event) {
        var keywords = event.target.value;
        this.searchMessage(keywords);
        this.searchNotice(keywords);
        this.searchHomework(keywords);
        this.searchNews(keywords);
    };
    SearchPage.prototype.cancel = function (event) {
        this.items = {};
    };
    SearchPage.prototype.searchMessage = function (keywords) {
        var _this = this;
        var condition = "studentId = " + this.studentId + " AND content LIKE '%" + keywords + "%'";
        this.db.select('message', '*', condition, '', '', 10).then(function (ret) {
            _this.items['message'] = ret;
        });
    };
    SearchPage.prototype.searchNotice = function (keywords) {
        var _this = this;
        var condition = "studentId = " + this.studentId + " AND title LIKE '%" + keywords + "%' OR content LIKE '%" + keywords + "%'";
        this.db.select('notice', '*', condition, '', '', 10).then(function (ret) {
            _this.items['notice'] = ret;
        });
    };
    SearchPage.prototype.searchHomework = function (keywords) {
        var _this = this;
        var condition = "studentId = " + this.studentId + " AND title LIKE '%" + keywords + "%' OR subjectName LIKE '%" + keywords + "%'";
        this.db.select('homework', '*', condition, '', '', 10).then(function (ret) {
            _this.items['homework'] = ret;
        });
    };
    SearchPage.prototype.searchNews = function (keywords) {
        var _this = this;
        var condition = "studentId = " + this.studentId + " AND title LIKE '%" + keywords + "%' OR content LIKE '%" + keywords + "%'";
        this.db.select('news', '*', condition, '', '', 10).then(function (ret) {
            _this.items['news'] = ret;
        });
    };
    SearchPage.prototype.has = function (items) {
        return (items == null || items == '') ? 0 : 1;
    };
    SearchPage.prototype.openDetailPage = function (module, id) {
        this.nav.push(module, { id: id });
    };
    SearchPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-search',template:/*ion-inline-start:"/Users/joe/git-source/schoolapp/app/gitee/schoolapp/src/pages/search/search.html"*/'<ion-header>\n    <ion-navbar color="dark">\n        <button ion-button menuToggle>\n            <ion-icon name="menu" color="white"></ion-icon>\n        </button>\n        <ion-title>\n            <span ion-text color="white" class="fw500">{{\'searchPage.search\' | translate}}</span>\n        </ion-title>\n    </ion-navbar>\n    <ion-toolbar>\n    	<ion-searchbar\n	  		[showCancelButton]="true"\n	  		(ionInput)="search($event)"\n	  		cancelButtonText="{{\'global.cancel\' | translate}}"\n	  		placeholder="{{\'searchPage.keywords\' | translate}}"\n	  		(ionCancel)="cancel($event)">\n		</ion-searchbar>\n    </ion-toolbar>\n</ion-header>\n\n<ion-content>\n	<div class="result-list">\n		<div class="list-box" *ngIf="has(items.message)">\n			<div class="search-title">{{\'sideMenu.message\' | translate}}</div>\n			<ion-list>\n		  		<ion-item *ngFor="let item of items.message" (click)="openDetailPage(\'MessageDetailPage\', item.id)" class="list-box">\n		            <ion-icon name="mail" item-start class="list-box-icon"></ion-icon>\n		    		<p class="fw300 list-box-txt" [innerHTML]="item.content"></p>\n		    		<p class="list-box-time"><ion-icon name="md-time"></ion-icon> {{item.publishDate}}</p>\n		  		</ion-item>\n			</ion-list>	\n		</div>\n\n		<div class="list-box" *ngIf="has(items.notice)">\n			<div class="search-title">{{\'sideMenu.notice\' | translate}}</div>\n			<ion-list>\n		  		<ion-item *ngFor="let item of items.notice" (click)="openDetailPage(\'NoticeDetailPage\', item.id)">\n	                <ion-icon *ngIf="item.signDate==\'0000-00-00 00:00:00\'" name="list-box" item-start class="list-box-icon unsigned"></ion-icon>\n	                <ion-icon *ngIf="item.signDate!=\'0000-00-00 00:00:00\'" name="list-box" item-start class="list-box-icon"></ion-icon>\n	                <p *ngIf="item.signDate==\'0000-00-00 00:00:00\'" class="fw300 list-box-txt fw700" [innerHTML]="item.title"></p>\n	                <p *ngIf="item.signDate!=\'0000-00-00 00:00:00\'" class="fw300 list-box-txt" [innerHTML]="item.title"></p>\n		  	        <p class="list-box-time">{{item.publishDate}}<ion-icon name="attach" *ngIf="item.attachment != \'\' && item.attachment != \'null\'" class="m-l-xs"></ion-icon>\n	                    <span *ngIf="item.signDate==\'0000-00-00 00:00:00\'" class="unsigned">{{\'noticePage.unsigned\' | translate}}</span>\n	                    <span *ngIf="item.signDate!=\'0000-00-00 00:00:00\'" class="signed">{{\'noticePage.signed\' | translate}}</span>\n	                </p>\n		  		</ion-item>\n			</ion-list>	\n		</div>\n\n		<div class="list-box" *ngIf="has(items.homework)">\n			<div class="search-title">{{\'sideMenu.homework\' | translate}}</div>\n			<ion-list class="list-box">\n		  		<ion-item *ngFor="let item of items.homework" (click)="openDetailPage(\'HomeworkDetailPage\', item.id)">\n	                <ion-icon name="list-box" item-start class="list-box-icon"></ion-icon>\n	                <p class="list-box-txt">{{item.title}}</p>\n	                <p class="list-box-time" *ngIf="item.subjectName&&item.subjectName!=\'null\'">{{\'homeworkPage.subject\' | translate}}：[{{item.subjectName}}]</p>\n		  	        <p class="list-box-time no-margin-top">{{\'homeworkPage.handin\' | translate}}：{{item.handinDate}}<ion-icon name="attach" *ngIf="item.attachmentUrl != \'\' && item.attachmentUrl != \'null\'" class="m-l-xs"></ion-icon>\n	                </p>\n	                <p item-end>{{item.publishDate}}</p>\n		  		</ion-item>\n			</ion-list>\n		</div>\n\n		<div class="list-box" *ngIf="has(items.news)">\n			<div class="search-title">{{\'sideMenu.news\' | translate}}</div>\n			<ion-list class="list-box">\n		  		<ion-item *ngFor="let item of items.news" (click)="openDetailPage(\'NewsDetailPage\', item.id)">\n	                <ion-icon name="volume-up" item-start class="list-box-icon"></ion-icon>\n	                <p class="fw300 list-box-txt" [innerHTML]="item.title"></p>\n		  	        <p class="list-box-time">{{item.publishDate}}\n		  	        	<ion-icon name="attach" *ngIf="item.attachment != \'\' && item.attachment != \'null\'" class="m-l-xs"></ion-icon>\n		  	        </p>\n		  		</ion-item>\n			</ion-list>\n		</div>\n	</div>\n</ion-content>'/*ion-inline-end:"/Users/joe/git-source/schoolapp/app/gitee/schoolapp/src/pages/search/search.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"], __WEBPACK_IMPORTED_MODULE_2__providers_database__["a" /* DatabaseProvider */], __WEBPACK_IMPORTED_MODULE_3__libs_util__["a" /* Util */]])
    ], SearchPage);
    return SearchPage;
}());

//# sourceMappingURL=search.js.map

/***/ })

});
//# sourceMappingURL=6.js.map