webpackJsonp([8],{

/***/ 654:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "PaymentPageModule", function() { return PaymentPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(11);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__payment__ = __webpack_require__(685);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__ngx_translate_core__ = __webpack_require__(52);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};




var PaymentPageModule = (function () {
    function PaymentPageModule() {
    }
    PaymentPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__payment__["a" /* PaymentPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__payment__["a" /* PaymentPage */]),
                __WEBPACK_IMPORTED_MODULE_3__ngx_translate_core__["b" /* TranslateModule */].forChild()
            ],
        })
    ], PaymentPageModule);
    return PaymentPageModule;
}());

//# sourceMappingURL=payment.module.js.map

/***/ }),

/***/ 685:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return PaymentPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(11);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_user_user__ = __webpack_require__(53);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_payment_payment__ = __webpack_require__(162);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__libs_util__ = __webpack_require__(13);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};





var PaymentPage = (function () {
    function PaymentPage(util, user, platform, payment, nav, menu, view, events) {
        this.util = util;
        this.user = user;
        this.platform = platform;
        this.payment = payment;
        this.nav = nav;
        this.menu = menu;
        this.view = view;
        this.events = events;
        this.page = 1;
        // this.currentStudent = this.util.getCurrentStudent();
        // this.hasMoreStudent = this.util.hasMoreStudent();
    }
    PaymentPage.prototype.ionViewDidLoad = function () {
        this.getRemoteData();
    };
    PaymentPage.prototype.getOverview = function () {
        var _this = this;
        //this.util.showLoading();
        var studentDetail = this.util.getStorage('studentDetail');
        this.currentStudentId = this.user.getCurrentStudentId();
        for (var key in studentDetail) {
            if (parseInt(key) == this.currentStudentId)
                this.counter = studentDetail[key].paymentCount;
        }
        /* this.platform.ready().then(() => {
            let condition = {studentId: this.util.getCurrentStudentId()};
            this.payment.getBatchesFromLocalDb(this.page, condition).then((ret) => {
                this.items = ret;
                this.util.hideLoading();
            });
        });
  */
        this.payment.getItemsFromLocalDb(this.page, { studentId: this.currentStudentId }).then(function (ret) {
            _this.items = ret;
        });
    };
    PaymentPage.prototype.getRemoteData = function () {
        var _this = this;
        // 从服务器更新数据
        this.platform.ready().then(function () {
            var currentStudentId = _this.util.getCurrentStudentId();
            _this.payment.getLatestFromRemoteDb(currentStudentId);
            _this.getOverview();
        });
    };
    PaymentPage.prototype.refresh = function (refresher) {
        var _this = this;
        setTimeout(function () {
            _this.getRemoteData();
            refresher.complete();
        }, 1000);
    };
    PaymentPage.prototype.loadMore = function (infiniteScroll) {
        var _this = this;
        setTimeout(function () {
            _this.platform.ready().then(function () {
                _this.page = _this.page + 1;
                /*      this.payment.getBatchesFromLocalDb(this.page).then((ret) => {
                         for(let i in ret) {
                             this.items.push(ret[i]);
                         }
                 }); */
                _this.payment.getItemsFromLocalDb(_this.page).then(function (ret) {
                    for (var i in ret) {
                        _this.items.push(ret[i]);
                    }
                });
            });
            infiniteScroll.complete();
        }, 1000);
    };
    PaymentPage.prototype.openDetailPage = function () {
        this.nav.push('PaymentDetailPage');
    };
    PaymentPage.prototype.menuToggle = function () {
        this.menu.open();
    };
    PaymentPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-payment',template:/*ion-inline-start:"/Users/joe/git-source/schoolapp/app/gitee/schoolapp/src/pages/payment/payment.html"*/'<ion-header>\n    <ion-navbar color="dark">\n        <button ion-button menuToggle>\n            <ion-icon name="menu" color="white"></ion-icon>\n        </button>\n        <ion-buttons start>\n            <button ion-button class="search-btn" (click)="menuToggle()">\n                <ion-icon name="menu" color="white"></ion-icon>\n            </button>\n        </ion-buttons>\n        <ion-title>\n            <span ion-text color="white" class="fw500">{{\'sideMenu.payment\' | translate}}</span>\n        </ion-title>\n        <!-- <ion-buttons end>\n            <button ion-button class="search-btn fw500" style="font-size: 30px;font-weight: bold;" (click)="openDetailPage()">\n                <ion-icon name="list" color="white"></ion-icon>\n            </button>\n        </ion-buttons> -->\n    </ion-navbar>\n    <ion-toolbar style="border-bottom: 2px #367fa9 solid;">\n        <div text-center class="row fw700">\n            <div class="col col-2">{{\'paymentPage.deposit\'| translate}}<br>${{counter?.cntDeposit}}</div>\n            <div class="col col-2">{{\'paymentPage.refund\'| translate}}<br>${{counter?.cntRefund}}</div>\n            <div class="col col-2">{{\'paymentPage.paid\'| translate}}<br>${{counter?.cntPaid}}</div>\n            <div class="col col-2">{{\'paymentPage.balance\'| translate}}<br>${{counter?.balance}}</div>\n            <div class="col col-2">{{\'paymentPage.owe\'| translate}}<br>${{counter?.cntOwe}}</div>\n        </div>\n    </ion-toolbar>\n    <ion-toolbar no-border-bottom >\n            <div text-center class="row fw700">\n                <div class="col col-2">{{\'paymentPage.date\'| translate}}</div>\n                <div class="col col-6">{{\'paymentPage.item\'| translate}}</div>\n                <div class="col col-2">{{\'paymentPage.type\'| translate}}</div>\n                <div class="col col-2">{{\'paymentPage.amount\'| translate}}</div>\n            </div>\n        </ion-toolbar>\n    </ion-header>\n\n    \n<ion-content class="content">\n    <ion-refresher (ionRefresh)="refresh($event, currentMonth)">\n        <ion-refresher-content\n            pullingIcon="arrow-round-down"\n            pullingText="{{\'global.pullRefresh\' | translate}}"\n            refreshingText="{{\'global.refreshing\' | translate}}">\n        </ion-refresher-content>\n    </ion-refresher>\n<!--     <div class="box-items">\n        <div class="row title fw500" text-center>\n            <div class="col col-3">{{\'paymentPage.title\' | translate}}</div>\n            <div class="col col-5">{{\'paymentPage.date\' | translate}}</div>\n            <div class="col col-2">{{\'paymentPage.amount\' | translate}}</div>\n            <div class="col col-2">{{\'paymentPage.status\' | translate}}</div>\n        </div>\n        <ul class="row items" text-center *ngFor="let item of items">\n            <li class="col col-3 fw500" text-left>{{item.title}}</li>\n            <li class="col col-5">{{item.sDate}}</li>\n            <li class="col col-2">${{item.amount}}</li>\n            <li *ngIf="item.status == 0" class="col col-2 text-danger">{{\'paymentPage.pending\' | translate}}</li>\n            <li *ngIf="item.status == 1" class="col col-2 text-success">{{\'paymentPage.paid\' | translate}}</li>\n        </ul>\n    </div>\n\n    <ion-infinite-scroll (ionInfinite)="loadMore($event)" *ngIf="page < totalPage">\n        <ion-infinite-scroll-content loadingSpinner="bubbles" loadingText="{{\'global.loadMore\' | translate}}"></ion-infinite-scroll-content>\n    </ion-infinite-scroll>\n</ion-content> -->\n\n<div class="box-items">\n        <ul class="row items" text-center *ngFor="let item of items">\n            <li class="col col-2">{{item.payDate}}</li>\n            <li class="col col-6" text-left>\n            	<div *ngIf="item.type==\'1\'">{{\'paymentPage.deposit\' | translate}}</div>\n                <div *ngIf="item.type==\'2\'">{{item.batchTitle}}</div>\n                <div *ngIf="item.type==\'3\'">{{\'paymentPage.refund\' | translate}}</div>\n                <div *ngIf="item.type==\'5\'">{{\'Pay Batch Summary\' | translate}}</div>\n                <div *ngIf="item.type==\'6\'">{{\'Closed\' | translate}}</div>\n                <div *ngIf="item.type==\'7\'">{{item.batchTitle}}</div>\n                <div *ngIf="item.type==\'8\'">{{\'Opening\' | translate}}</div>\n        	</li>\n            <li class="col col-2">\n            	<div *ngIf="item.type==\'1\' || item.type==\'3\' ">{{\'paymentPage.credit\'|translate}}</div>\n                <div *ngIf="item.type==\'2\' || item.type==\'5\'  || item.type==\'7\' ">{{\'paymentPage.debit\'|translate}}</div>\n            </li>\n            <li class="col col-2">\n            	<span class="text-danger" *ngIf="item.type==\'1\' || item.type==\'3\'">+</span>\n                <span class="text-success" *ngIf="item.type==\'2\' || item.type==\'5\' || item.type==\'7\'">-</span>\n                <span *ngIf="item.type==\'2\' || item.type==\'5\' || item.type==\'7\'" class="text-success">{{item.amount}}</span>\n                <span *ngIf="item.type==\'1\' || item.type==\'3\'" class="text-danger">{{item.amount}}</span>\n            </li>\n        </ul>\n    </div>\n\n    <ion-infinite-scroll (ionInfinite)="loadMore($event)" *ngIf="page < totalPage">\n        <ion-infinite-scroll-content loadingSpinner="bubbles" loadingText="{{\'global.loadMore\' | translate}}"></ion-infinite-scroll-content>\n    </ion-infinite-scroll>\n</ion-content>\n'/*ion-inline-end:"/Users/joe/git-source/schoolapp/app/gitee/schoolapp/src/pages/payment/payment.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_4__libs_util__["a" /* Util */],
            __WEBPACK_IMPORTED_MODULE_2__providers_user_user__["a" /* UserProvider */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["Platform"],
            __WEBPACK_IMPORTED_MODULE_3__providers_payment_payment__["a" /* PaymentProvider */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["MenuController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["ViewController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["Events"]])
    ], PaymentPage);
    return PaymentPage;
}());

//# sourceMappingURL=payment.js.map

/***/ })

});
//# sourceMappingURL=8.js.map