webpackJsonp([9],{

/***/ 653:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "PaymentDetailPageModule", function() { return PaymentDetailPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(11);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__payment_detail__ = __webpack_require__(684);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__ngx_translate_core__ = __webpack_require__(52);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};




var PaymentDetailPageModule = (function () {
    function PaymentDetailPageModule() {
    }
    PaymentDetailPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__payment_detail__["a" /* PaymentDetailPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__payment_detail__["a" /* PaymentDetailPage */]),
                __WEBPACK_IMPORTED_MODULE_3__ngx_translate_core__["b" /* TranslateModule */].forChild()
            ],
        })
    ], PaymentDetailPageModule);
    return PaymentDetailPageModule;
}());

//# sourceMappingURL=payment-detail.module.js.map

/***/ }),

/***/ 684:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return PaymentDetailPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(11);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_payment_payment__ = __webpack_require__(162);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__libs_util__ = __webpack_require__(13);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};




var PaymentDetailPage = (function () {
    function PaymentDetailPage(payment, util, platform) {
        this.payment = payment;
        this.util = util;
        this.platform = platform;
        this.page = 1;
    }
    PaymentDetailPage.prototype.ionViewDidLoad = function () {
        this.getRemoteData();
    };
    PaymentDetailPage.prototype.getItems = function () {
        var _this = this;
        this.platform.ready().then(function () {
            var studentId = _this.util.getCurrentStudentId();
            // 总页数
            _this.payment.getTotalPage({ studentId: studentId }).then(function (ret) {
                _this.totalPage = ret;
            });
            _this.payment.getItemsFromLocalDb(_this.page, { studentId: studentId }).then(function (ret) {
                _this.items = ret;
            });
        });
    };
    PaymentDetailPage.prototype.getRemoteData = function () {
        var _this = this;
        this.util.showLoading();
        // 从服务器更新数据
        this.platform.ready().then(function () {
            var studentId = _this.util.getCurrentStudentId();
            _this.payment.getLatestFromRemoteDb(studentId);
            _this.page = 1;
            _this.getItems();
            _this.util.hideLoading();
        });
    };
    PaymentDetailPage.prototype.refresh = function (refresher) {
        var _this = this;
        setTimeout(function () {
            _this.getRemoteData();
            refresher.complete();
        }, 1000);
    };
    PaymentDetailPage.prototype.loadMore = function (infiniteScroll) {
        var _this = this;
        setTimeout(function () {
            _this.platform.ready().then(function () {
                _this.page = _this.page + 1;
                _this.payment.getItemsFromLocalDb(_this.page).then(function (ret) {
                    for (var i in ret) {
                        _this.items.push(ret[i]);
                    }
                });
            });
            infiniteScroll.complete();
        }, 1000);
    };
    PaymentDetailPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-payment-detail',template:/*ion-inline-start:"/Users/joe/git-source/schoolapp/app/gitee/schoolapp/src/pages/payment/payment-detail.html"*/'<ion-header>\n    <ion-navbar color="dark">\n        <button ion-button menuToggle>\n            <ion-icon name="menu" color="white"></ion-icon>\n        </button>\n        <ion-title>\n            <span ion-text color="white" class="fw500">{{\'paymentPage.paymentDetail\' | translate}}</span>\n        </ion-title>\n    </ion-navbar>\n    <ion-toolbar no-border-bottom no-border-top>\n        <div text-center class="row fw700">\n            <div class="col col-8">{{\'paymentPage.item\'| translate}}</div>\n            <div class="col col-2">{{\'paymentPage.type\'| translate}}</div>\n            <div class="col col-2">{{\'paymentPage.amount\'| translate}}</div>\n        </div>\n    </ion-toolbar>\n</ion-header>\n\n<ion-content class="content">\n    <ion-refresher (ionRefresh)="refresh($event)">\n        <ion-refresher-content\n            pullingIcon="arrow-round-down"\n            pullingText="{{\'global.pullRefresh\' | translate}}"\n            refreshingText="{{\'global.refreshing\' | translate}}">\n        </ion-refresher-content>\n    </ion-refresher>\n\n    <div class="box-items">\n        <ul class="row items" text-center *ngFor="let item of items">\n            <li class="col col-8" text-left>\n           		{{item.payDate}}<br>\n            	<div *ngIf="item.type==\'1\'">{{\'paymentPage.deposit\' | translate}}</div>\n                <div *ngIf="item.type==\'2\'">{{item.batchTitle}}</div>\n                <div *ngIf="item.type==\'3\'">{{\'paymentPage.refund\' | translate}}</div>\n                <div *ngIf="item.type==\'5\'">{{\'Pay Batch Summary\' | translate}}</div>\n                <div *ngIf="item.type==\'6\'">{{\'Closed\' | translate}}</div>\n                <div *ngIf="item.type==\'7\'">{{item.batchTitle}}</div>\n                <div *ngIf="item.type==\'8\'">{{\'Opening\' | translate}}</div>\n        	</li>\n            <li class="col col-2">\n            	<div *ngIf="item.type==\'1\' || item.type==\'3\' ">{{\'paymentPage.credit\'|translate}}</div>\n                <div *ngIf="item.type==\'2\' || item.type==\'5\'  || item.type==\'7\' ">{{\'paymentPage.debit\'|translate}}</div>\n            </li>\n            <li class="col col-2">\n            	<span class="text-danger" *ngIf="item.type==\'1\' || item.type==\'3\'">+</span>\n                <span class="text-success" *ngIf="item.type==\'2\' || item.type==\'5\' || item.type==\'7\'">-</span>\n                <span *ngIf="item.type==\'2\' || item.type==\'5\' || item.type==\'7\'" class="text-success">{{item.amount}}</span>\n                <span *ngIf="item.type==\'1\' || item.type==\'3\'" class="text-danger">{{item.amount}}</span>\n            </li>\n        </ul>\n    </div>\n\n    <ion-infinite-scroll (ionInfinite)="loadMore($event)" *ngIf="page < totalPage">\n        <ion-infinite-scroll-content loadingSpinner="bubbles" loadingText="{{\'global.loadMore\' | translate}}"></ion-infinite-scroll-content>\n    </ion-infinite-scroll>\n</ion-content>\n'/*ion-inline-end:"/Users/joe/git-source/schoolapp/app/gitee/schoolapp/src/pages/payment/payment-detail.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_2__providers_payment_payment__["a" /* PaymentProvider */],
            __WEBPACK_IMPORTED_MODULE_3__libs_util__["a" /* Util */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["Platform"]])
    ], PaymentDetailPage);
    return PaymentDetailPage;
}());

//# sourceMappingURL=payment-detail.js.map

/***/ })

});
//# sourceMappingURL=9.js.map